package com.deepclone.lw.beans.acm;


import org.springframework.beans.factory.DisposableBean;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.PlatformTransactionManager;
import org.springframework.transaction.support.TransactionTemplate;

import com.deepclone.lw.interfaces.acm.UsersDAO;
import com.deepclone.lw.interfaces.sys.Ticker;
import com.deepclone.lw.interfaces.sys.Ticker.Frequency;



public class VacationProcessorBean
		implements InitializingBean , DisposableBean
{

	private TransactionTemplate tTemplate;

	private Ticker ticker;

	private UsersDAO usersDao;

	private VacationProcessorTask vacationProcessor;


	@Autowired( required = true )
	public void setTransactionManager( PlatformTransactionManager tManager )
	{
		this.tTemplate = new TransactionTemplate( tManager );
	}


	@Autowired( required = true )
	public void setTicker( Ticker ticker )
	{
		this.ticker = ticker;
	}


	@Autowired( required = true )
	public void setUsersDAO( UsersDAO usersDao )
	{
		this.usersDao = usersDao;
	}


	@Override
	public void afterPropertiesSet( )
			throws Exception
	{
		this.vacationProcessor = new VacationProcessorTask( this.tTemplate , this.usersDao );
		this.ticker.registerTask( Frequency.MINUTE , "Vacation processor" , this.vacationProcessor );
	}


	@Override
	public void destroy( )
	{
		this.vacationProcessor = null;
	}

}
