package com.deepclone.lw.beans.acm;


import org.springframework.transaction.TransactionStatus;
import org.springframework.transaction.support.TransactionCallbackWithoutResult;
import org.springframework.transaction.support.TransactionTemplate;

import com.deepclone.lw.interfaces.acm.UsersDAO;



class VacationProcessorTask
		implements Runnable
{

	private TransactionTemplate tTemplate;
	private UsersDAO usersDao;


	public VacationProcessorTask( TransactionTemplate tTemplate , UsersDAO usersDao )
	{
		this.tTemplate = tTemplate;
		this.usersDao = usersDao;
	}


	@Override
	public void run( )
	{
		this.tTemplate.execute( new TransactionCallbackWithoutResult( ) {
			@Override
			protected void doInTransactionWithoutResult( TransactionStatus status )
			{
				usersDao.processVacations( );
			}
		} );
	}
}
