package com.deepclone.lw.beans.admin;


import org.springframework.beans.factory.DisposableBean;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.PlatformTransactionManager;
import org.springframework.transaction.support.TransactionTemplate;

import com.deepclone.lw.interfaces.admin.BansDAO;
import com.deepclone.lw.interfaces.sys.Ticker;
import com.deepclone.lw.interfaces.sys.Ticker.Frequency;



public class BansProcessorBean
		implements InitializingBean , DisposableBean
{

	private Ticker ticker;
	private BansProcessorTask task;
	private TransactionTemplate tTemplate;
	private BansDAO bansDao;


	@Autowired( required = true )
	public void setTicker( Ticker ticker )
	{
		this.ticker = ticker;
	}


	@Autowired( required = true )
	public void setTransactionManager( PlatformTransactionManager tManager )
	{
		this.tTemplate = new TransactionTemplate( tManager );
	}


	@Autowired( required = true )
	public void setBansDao( BansDAO bansDao )
	{
		this.bansDao = bansDao;
	}


	@Override
	public void afterPropertiesSet( )
			throws Exception
	{
		this.task = new BansProcessorTask( this.tTemplate , this.bansDao );
		this.ticker.registerTask( Frequency.LOW , "Bans processor" , this.task );
	}


	@Override
	public void destroy( )
			throws Exception
	{
		this.task = null;
	}
}
