package com.deepclone.lw.beans.admin;


import org.springframework.transaction.TransactionStatus;
import org.springframework.transaction.support.TransactionCallback;
import org.springframework.transaction.support.TransactionCallbackWithoutResult;
import org.springframework.transaction.support.TransactionTemplate;

import com.deepclone.lw.interfaces.admin.BansDAO;



class BansProcessorTask
		implements Runnable
{

	private final TransactionTemplate tTemplate;
	private final BansDAO bansDao;


	public BansProcessorTask( TransactionTemplate tTemplate , BansDAO bansDao )
	{
		this.tTemplate = tTemplate;
		this.bansDao = bansDao;
	}


	@Override
	public void run( )
	{
		this.expire( );
		while ( this.finaliseBans( ) ) {
			// EMPTY
		}
	}


	private boolean finaliseBans( )
	{
		return this.tTemplate.execute( new TransactionCallback< Boolean >( ) {
			@Override
			public Boolean doInTransaction( TransactionStatus status )
			{
				return bansDao.finaliseBan( );
			}
		} );
	}


	private void expire( )
	{
		this.tTemplate.execute( new TransactionCallbackWithoutResult( ) {
			@Override
			protected void doInTransactionWithoutResult( TransactionStatus status )
			{
				bansDao.expireBanRequests( );
				bansDao.expireWarnings( );
			}
		} );
	}

}
