package com.deepclone.lw.beans.bt.es.data;


import java.io.Serializable;
import java.util.LinkedList;
import java.util.List;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;



@XStreamAlias( "fleet" )
public class FleetInformation
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	@XStreamAsAttribute
	private long id;

	@XStreamAsAttribute
	private String name;

	@XStreamAsAttribute
	private String status;

	@XStreamAsAttribute
	private boolean attacking;

	@XStreamAlias( "location-id" )
	private int locationId;

	@XStreamAlias( "location-name" )
	private String locationName;

	@XStreamAlias( "ships" )
	private List< ShipsInformation > ships = new LinkedList< ShipsInformation >( );

	private MovementInformation movement;


	public long getId( )
	{
		return id;
	}


	public void setId( long id )
	{
		this.id = id;
	}


	public String getName( )
	{
		return name;
	}


	public void setName( String name )
	{
		this.name = name;
	}


	public String getStatus( )
	{
		return status;
	}


	public void setStatus( String status )
	{
		this.status = status;
	}


	public boolean isAttacking( )
	{
		return attacking;
	}


	public void setAttacking( boolean attacking )
	{
		this.attacking = attacking;
	}


	public int getLocationId( )
	{
		return locationId;
	}


	public void setLocationId( int locationId )
	{
		this.locationId = locationId;
	}


	public String getLocationName( )
	{
		return locationName;
	}


	public void setLocationName( String locationName )
	{
		this.locationName = locationName;
	}


	public MovementInformation getMovement( )
	{
		return movement;
	}


	public void setMovement( MovementInformation movement )
	{
		this.movement = movement;
	}


	public List< ShipsInformation > getShips( )
	{
		return ships;
	}

}
