package com.deepclone.lw.beans.msgs;


import java.util.regex.Pattern;



public class MessageCleanerBean
{
	private final Pattern planet = Pattern.compile( "\\{\\{planet:\\d+ ([^\\}]+)\\}\\}" );
	private final Pattern empire = Pattern.compile( "\\{\\{empire:\\d+ ([^\\}]+)\\}\\}" );
	private final Pattern battle = Pattern.compile( "\\{\\{battle:\\d+ ([^\\}]+)\\}\\}" );
	private final Pattern bug = Pattern.compile( "\\{\\{bug:(\\d+)\\}\\}" );


	public String cleanMessage( String message )
	{
		message = message.trim( );

		StringBuilder repLine = new StringBuilder( );
		for ( Character c : message.toCharArray( ) ) {
			int nVal = Character.codePointAt( new char[] {
				c
			} , 0 );
			if ( c != '\n' && Character.isISOControl( nVal ) ) {
				continue;
			}
			repLine.append( c );
		}
		message = repLine.toString( );
		return message;
	}


	public String removeInternals( String message )
	{
		message = planet.matcher( message ).replaceAll( "$1" );
		message = empire.matcher( message ).replaceAll( "$1" );
		message = battle.matcher( message ).replaceAll( "$1" );
		message = bug.matcher( message ).replaceAll( "#$1" );
		return message;
	}

}
