package com.deepclone.lw.beans.msgs.fmt;


import java.util.HashSet;
import java.util.Set;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.deepclone.lw.interfaces.i18n.TranslationException;
import com.deepclone.lw.interfaces.i18n.Translator;
import com.deepclone.lw.interfaces.msg.MessageExtractor;
import com.deepclone.lw.interfaces.msg.MessageFormatter;
import com.deepclone.lw.sqld.msgs.AllianceEventRecord;
import com.deepclone.lw.sqld.msgs.EventType;
import com.deepclone.lw.sqld.msgs.FormatType;
import com.deepclone.lw.sqld.msgs.InboxRecord;
import com.deepclone.lw.sqld.msgs.MessageDataRecord;



@Component
public class RequestResultMessageFormatterBean
		implements MessageFormatter
{

	private Translator translator;

	private static class PendingRequestMessageExtractor
			extends AllianceMessageExtractor
	{

		public PendingRequestMessageExtractor( AllianceEventRecord event , String mTitle , String mBody )
		{
			super( event , mTitle , mBody );
		}


		@Override
		public String getSubject( )
		{
			return this.mTitle;
		}


		@Override
		public String getContents( )
		{
			return this.mBody.replace( "${alliance}" , "[" + this.event.getAllianceTag( ) + "]" );
		}

	}


	@Autowired( required = true )
	public void setTranslator( Translator translator )
	{
		this.translator = translator;
	}


	@Override
	public Set< FormatType > getFormats( )
	{
		Set< FormatType > fmts = new HashSet< FormatType >( );
		fmts.add( new FormatType( EventType.ALLIANCE , 1 ) );
		return fmts;
	}


	@Override
	public MessageExtractor getExtractor( InboxRecord envelope , MessageDataRecord contents , String language )
	{
		AllianceEventRecord event = (AllianceEventRecord) contents;
		String type = event.getReqResult( ) ? "Accepted" : "Rejected";
		String mTitle , mBody;
		try {
			mTitle = this.translator.translate( language , "imtRequest" + type );
			mBody = this.translator.translate( language , "imRequest" + type );
		} catch ( TranslationException e ) {
			throw new RuntimeException( e );
		}
		return new PendingRequestMessageExtractor( event , mTitle , mBody );
	}

}
