package com.deepclone.lw.beans.user.abst;


import java.util.Collection;

import org.apache.log4j.Logger;
import org.springframework.beans.BeansException;
import org.springframework.beans.factory.config.BeanPostProcessor;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;



public class SessionSubTypeWiringBean
		implements BeanPostProcessor , ApplicationContextAware
{
	private final Logger logger = Logger.getLogger( SessionSubTypeWiringBean.class );
	private ApplicationContext context;


	@Override
	public void setApplicationContext( ApplicationContext applicationContext )
			throws BeansException
	{
		this.context = applicationContext;
	}


	@Override
	public Object postProcessAfterInitialization( Object bean , String beanName )
			throws BeansException
	{
		return bean;
	}


	@Override
	public Object postProcessBeforeInitialization( Object bean , String beanName )
			throws BeansException
	{
		if ( bean instanceof StatefulSessionTypeDefiner ) {
			this.logger.debug( "Wiring session type definer " + beanName );
			this.autowire( (StatefulSessionTypeDefiner) bean );
		}
		return bean;
	}


	private void autowire( StatefulSessionTypeDefiner bean )
	{
		Class< ? extends StatefulSessionTypeDefiner > beanType = bean.getClass( );

		Collection< AutowiredSubTypeDelegate > delegates;
		delegates = this.context.getBeansOfType( AutowiredSubTypeDelegate.class ).values( );

		for ( AutowiredSubTypeDelegate delegate : delegates ) {
			if ( delegate.getSessionType( ) != beanType ) {
				continue;
			}
			this.logger.debug( "Adding delegate from " + delegate.getClass( ) );
			bean.registerSubType( delegate );
		}
	}
}
