package com.deepclone.lw.beans.user.admin.main.bt;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.admin.common.AdminOperation;
import com.deepclone.lw.beans.user.admin.main.AdminCommandsBean;
import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.admin.adata.Privileges;
import com.deepclone.lw.cmd.admin.bt.ListBugsResponse;
import com.deepclone.lw.cmd.bt.ListBugsCommand;
import com.deepclone.lw.cmd.bt.data.BugStatus;
import com.deepclone.lw.interfaces.bt.AdminBugs;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class ListBugsCommandDelegateBean
		extends AdminOperation
		implements AutowiredCommandDelegate
{

	private AdminBugs bugs;


	@Autowired( required = true )
	public void setBugs( AdminBugs bugs )
	{
		this.bugs = bugs;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return AdminCommandsBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return ListBugsCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		Administrator admin = this.getAdministrator( session );
		if ( !admin.hasPrivilege( Privileges.BUGT ) ) {
			return new ListBugsResponse( admin );
		}

		ListBugsCommand command = (ListBugsCommand) cParam;
		long first = command.getFirst( );
		int count = command.getCount( );
		BugStatus status = command.getStatus( );
		boolean own = command.isOwnOnly( );

		return this.bugs.getBugs( admin , status , own , first , count );
	}

}
