package com.deepclone.lw.beans.user.admin.main.logs;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.admin.common.AdminOperation;
import com.deepclone.lw.beans.user.admin.main.AdminCommandsBean;
import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.admin.adata.Privileges;
import com.deepclone.lw.cmd.admin.logs.ViewLogCommand;
import com.deepclone.lw.cmd.admin.logs.ViewLogResponse;
import com.deepclone.lw.interfaces.eventlog.LogReader;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class ViewLogsCommandDelegateBean
		extends AdminOperation
		implements AutowiredCommandDelegate
{
	private LogReader logReader;


	@Autowired( required = true )
	public void setLogReader( LogReader logReader )
	{
		this.logReader = logReader;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return AdminCommandsBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return ViewLogCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		Administrator admin = this.getAdministrator( session );
		if ( !admin.hasPrivilege( Privileges.LOGS ) ) {
			return new ViewLogResponse( admin );
		}
		ViewLogCommand command = (ViewLogCommand) cParam;
		return this.logReader.getLog( admin , command.getType( ) , command.getFirstEntry( ) , command.getCount( ) ,
				command.getMinLogLevel( ) , command.getComponent( ) , command.isExceptionOnly( ) );
	}
}
