package com.deepclone.lw.beans.user.admin.main.mntm;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.admin.common.AdminOperation;
import com.deepclone.lw.beans.user.admin.main.AdminCommandsBean;
import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.admin.adata.Privileges;
import com.deepclone.lw.cmd.admin.mntm.MaintenanceStatusCommand;
import com.deepclone.lw.cmd.admin.mntm.MaintenanceStatusResponse;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.interfaces.sys.MaintenanceData;
import com.deepclone.lw.interfaces.sys.SystemStatus;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class MaintenanceStatusCommandDelegateBean
		extends AdminOperation
		implements AutowiredCommandDelegate
{

	private SystemStatus systemStatus;


	@Autowired( required = true )
	public void setSystemStatus( SystemStatus systemStatus )
	{
		this.systemStatus = systemStatus;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return AdminCommandsBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return MaintenanceStatusCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command command )
	{
		Administrator admin = this.getAdministrator( session );
		if ( !admin.hasPrivilege( Privileges.MNTM ) ) {
			return new MaintenanceStatusResponse( admin , true );
		}

		MaintenanceData m = this.systemStatus.checkMaintenance( );
		if ( m == null ) {
			return new MaintenanceStatusResponse( admin , false );
		}
		return new MaintenanceStatusResponse( admin , m.reason , m.start , m.end );
	}

}
