package com.deepclone.lw.beans.user.admin.main.msgs;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.admin.common.AdminOperation;
import com.deepclone.lw.beans.user.admin.main.AdminCommandsBean;
import com.deepclone.lw.cmd.msgdata.MessageType;
import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.admin.msg.ComposeMessageCommand;
import com.deepclone.lw.cmd.admin.msg.ComposeMessageResponse;
import com.deepclone.lw.interfaces.msg.AdminMessages;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class ComposeMessageCommandDelegateBean
		extends AdminOperation
		implements AutowiredCommandDelegate
{
	private AdminMessages messages;


	@Autowired( required = true )
	public void setMessages( AdminMessages messages )
	{
		this.messages = messages;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return AdminCommandsBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return ComposeMessageCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		Administrator admin = this.getAdministrator( session );
		ComposeMessageCommand command = (ComposeMessageCommand) cParam;

		MessageType type = command.getType( );
		if ( type == MessageType.INTERNAL ) {
			type = MessageType.EMPIRE;
		}
		String target = command.getTarget( );
		String title = command.getSubject( ).trim( );
		String contents = command.getContents( ).trim( );

		boolean titleError = ( title.length( ) < 2 || title.length( ) > 64 );
		boolean contentsError = ( contents.length( ) < 2 );

		ComposeMessageResponse response;
		if ( command.getReplyTo( ) != null && command.getInbox( ) != null ) {
			response = this.messages.sendReply( admin , command.getInbox( ) , command.getReplyTo( ) , type , target ,
					title , contents , titleError || contentsError );
		} else {
			response = this.messages.sendMessage( admin , type , target , title , contents , titleError
					|| contentsError );
		}
		response.setTitleError( titleError );
		response.setContentsError( contentsError );

		return response;
	}
}
