package com.deepclone.lw.beans.user.admin.main.msgs;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.admin.common.AdminOperation;
import com.deepclone.lw.beans.user.admin.main.AdminCommandsBean;
import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.msgdata.MessageType;
import com.deepclone.lw.cmd.admin.msg.PrepareMessageCommand;
import com.deepclone.lw.interfaces.msg.AdminMessages;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class PrepareMessageCommandDelegateBean
		extends AdminOperation
		implements AutowiredCommandDelegate
{
	private AdminMessages messages;


	@Autowired( required = true )
	public void setMessages( AdminMessages messages )
	{
		this.messages = messages;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return AdminCommandsBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return PrepareMessageCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		PrepareMessageCommand command = (PrepareMessageCommand) cParam;
		Administrator admin = this.getAdministrator( session );
		MessageType type = command.getType( );

		if ( type == null ) {
			return this.messages.prepareBlankMessage( admin );
		} else if ( type == MessageType.INTERNAL ) {
			return this.messages.prepareReply( admin , command.getInbox( ) , command.getId( ) );
		}
		return this.messages.prepareMessageTo( admin , type , command.getId( ).intValue( ) );
	}
}
