package com.deepclone.lw.beans.user.admin.main.msgs;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.admin.common.AdminOperation;
import com.deepclone.lw.beans.user.admin.main.AdminCommandsBean;
import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.admin.msg.ReadMessageCommand;
import com.deepclone.lw.interfaces.msg.AdminMessages;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class ReadMessageCommandDelegateBean
		extends AdminOperation
		implements AutowiredCommandDelegate
{
	private AdminMessages messages;


	@Autowired( required = true )
	public void setMessages( AdminMessages messages )
	{
		this.messages = messages;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return AdminCommandsBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return ReadMessageCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		ReadMessageCommand command = (ReadMessageCommand) cParam;
		Administrator admin = this.getAdministrator( session );
		return this.messages.getMessage( admin , command.isInbox( ) , command.getId( ) );
	}

}
