package com.deepclone.lw.beans.user.admin.main.msgs;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.admin.common.AdminOperation;
import com.deepclone.lw.beans.user.admin.main.AdminCommandsBean;
import com.deepclone.lw.cmd.admin.AdminResponse;
import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.admin.adata.Privileges;
import com.deepclone.lw.cmd.admin.msg.SendSpamCommand;
import com.deepclone.lw.interfaces.msg.AdminMessages;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class SendSpamCommandDelegateBean
		extends AdminOperation
		implements AutowiredCommandDelegate
{

	private AdminMessages messages;


	@Autowired( required = true )
	public void setMessages( AdminMessages messages )
	{
		this.messages = messages;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return AdminCommandsBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return SendSpamCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		Administrator admin = this.getAdministrator( session );
		if ( !admin.hasPrivilege( Privileges.SPAM ) ) {
			return new AdminResponse( admin , false );
		}

		SendSpamCommand command = (SendSpamCommand) cParam;
		this.messages.sendSpam( admin , command.getTitle( ) , command.getBody( ) );
		return new AdminResponse( admin );
	}
}
