package com.deepclone.lw.beans.user.admin.main.names;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.admin.common.AdminOperation;
import com.deepclone.lw.beans.user.admin.main.AdminCommandsBean;
import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.admin.adata.Privileges;
import com.deepclone.lw.cmd.admin.naming.NamesSummaryCommand;
import com.deepclone.lw.cmd.admin.naming.NamesSummaryResponse;
import com.deepclone.lw.interfaces.naming.NamesManager;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class NamesSummaryCommandDelegateBean
		extends AdminOperation
		implements AutowiredCommandDelegate
{
	private NamesManager namesManager;


	@Autowired( required = true )
	public void setNamesManager( NamesManager namesManager )
	{
		this.namesManager = namesManager;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return AdminCommandsBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return NamesSummaryCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command command )
	{
		Administrator admin = this.getAdministrator( session );
		if ( !admin.hasPrivilege( Privileges.NAME ) ) {
			return new NamesSummaryResponse( admin );
		}
		return this.namesManager.getSummary( admin );
	}

}
