package com.deepclone.lw.beans.user.admin.main.prefs;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.admin.common.AdminOperation;
import com.deepclone.lw.beans.user.admin.main.AdminCommandsBean;
import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.admin.adata.Privileges;
import com.deepclone.lw.cmd.admin.prefs.SetPrefDefaultCommand;
import com.deepclone.lw.interfaces.prefs.PreferenceDefinitions;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;
import com.deepclone.lw.session.NullResponse;



public class SetPrefDefaultCommandDelegateBean
		extends AdminOperation
		implements AutowiredCommandDelegate
{

	private PreferenceDefinitions preferences;


	@Autowired( required = true )
	public void setPreferences( PreferenceDefinitions preferences )
	{
		this.preferences = preferences;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return AdminCommandsBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return SetPrefDefaultCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		Administrator admin = this.getAdministrator( session );
		if ( admin.hasPrivilege( Privileges.PREF ) ) {
			SetPrefDefaultCommand command = (SetPrefDefaultCommand) cParam;
			this.preferences.setDefault( admin , command.getPreference( ) , command.getValue( ) );
		}
		return new NullResponse( );
	}
}
