package com.deepclone.lw.beans.user.admin.main.su;


import java.util.LinkedList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.admin.su.ListAdministratorsCommand;
import com.deepclone.lw.cmd.admin.su.ListAdministratorsResponse;
import com.deepclone.lw.interfaces.admin.Administration;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;
import com.deepclone.lw.sqld.admin.AdminRecord;



public class ListAdministratorsCommandDelegateBean
		extends SuperUserOperation
{

	private Administration administration;


	@Autowired( required = true )
	public void setAdministration( Administration administration )
	{
		this.administration = administration;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return ListAdministratorsCommand.class;
	}


	@Override
	protected CommandResponse handleCommand( Administrator admin , Command command )
	{
		List< Administrator > result = new LinkedList< Administrator >( );
		for ( AdminRecord record : this.administration.listAdministrators( ) ) {
			result.add( this.convertAdministrator( record ) );
		}
		return new ListAdministratorsResponse( admin , result );
	}


	@Override
	protected CommandResponse insufficientPrivileges( Administrator admin )
	{
		return new ListAdministratorsResponse( admin );
	}

}
