package com.deepclone.lw.beans.user.admin.main.tick;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.admin.common.AdminOperation;
import com.deepclone.lw.beans.user.admin.main.AdminCommandsBean;
import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.admin.adata.Privileges;
import com.deepclone.lw.cmd.admin.tick.TickerStatusCommand;
import com.deepclone.lw.cmd.admin.tick.TickerStatusResponse;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.interfaces.sys.Ticker;
import com.deepclone.lw.interfaces.sys.TickerManager;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class TickerStatusCommandDelegateBean
		extends AdminOperation
		implements AutowiredCommandDelegate
{
	private Ticker ticker;
	private TickerManager manager;


	@Autowired( required = true )
	public void setTicker( Ticker ticker )
	{
		this.ticker = ticker;
	}


	@Autowired( required = true )
	public void setManager( TickerManager manager )
	{
		this.manager = manager;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return AdminCommandsBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return TickerStatusCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command command )
	{
		Administrator admin = this.getAdministrator( session );
		if ( !admin.hasPrivilege( Privileges.TICK ) ) {
			return new TickerStatusResponse( admin );
		}
		return new TickerStatusResponse( admin , !this.ticker.isActive( ) , this.manager.getTasks( ) );
	}

}
