package com.deepclone.lw.beans.user.admin.main.tick;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.admin.common.AdminOperation;
import com.deepclone.lw.beans.user.admin.main.AdminCommandsBean;
import com.deepclone.lw.cmd.admin.adata.Privileges;
import com.deepclone.lw.cmd.admin.tick.ToggleTickerCommand;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.interfaces.sys.Ticker;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;
import com.deepclone.lw.session.NullResponse;



public class ToggleTickerCommandDelegateBean
		extends AdminOperation
		implements AutowiredCommandDelegate
{
	private Ticker ticker;


	@Autowired( required = true )
	public void setTicker( Ticker ticker )
	{
		this.ticker = ticker;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return AdminCommandsBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return ToggleTickerCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command command )
	{
		if ( this.getAdministrator( session ).hasPrivilege( Privileges.TICK ) ) {
			if ( this.ticker.isActive( ) ) {
				this.ticker.pause( );
			} else {
				this.ticker.unpause( );
			}
		}
		return new NullResponse( );
	}

}
