package com.deepclone.lw.beans.user.ext;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.cmd.MaintenanceResponse;
import com.deepclone.lw.cmd.admin.users.SessionTerminationType;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.interfaces.session.SessionManager;
import com.deepclone.lw.interfaces.session.SessionTypeDefiner;
import com.deepclone.lw.interfaces.sys.MaintenanceData;
import com.deepclone.lw.interfaces.sys.SystemStatus;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;
import com.deepclone.lw.session.SessionCommandException;
import com.deepclone.lw.session.SessionStateException;



public class ExternalSessionDefinerBean
		extends SessionCommandHandler
		implements SessionTypeDefiner
{

	private SystemStatus systemStatus;


	@Autowired( required = true )
	public void setSessionManager( SessionManager manager )
	{
		manager.registerSessionType( this );
	}


	@Autowired( required = true )
	public void setSystemStatus( SystemStatus systemStatus )
	{
		this.systemStatus = systemStatus;
	}


	@Override
	public String getName( )
	{
		return "ext";
	}


	@Override
	public boolean isAuthenticated( ServerSession session )
	{
		return true;
	}


	@Override
	public String getState( ServerSession session )
	{
		return null;
	}


	@Override
	public void initialise( ServerSession session )
	{
		// EMPTY
	}


	@Override
	public void authenticate( ServerSession session , String identifier , String sha1Hash , String md5Hash )
			throws SessionStateException
	{
		throw new SessionStateException( );
	}


	@Override
	public CommandResponse execute( ServerSession session , Command command )
			throws SessionStateException , SessionCommandException
	{
		try {
			// Check maintenance
			MaintenanceData mData = this.systemStatus.checkMaintenance( );
			if ( mData != null ) {
				return new MaintenanceResponse( mData.start , mData.end , mData.reason );
			}

			return this.executeDelegate( session , command );
		} finally {
			session.terminate( );
		}
	}


	@Override
	public void terminate( ServerSession session , SessionTerminationType reason )
	{
		// EMPTY
	}

}
