package com.deepclone.lw.beans.user.ext;


import java.util.HashMap;
import java.util.Map;

import com.deepclone.lw.interfaces.i18n.Translator;
import com.deepclone.lw.interfaces.i18n.UnknownLanguageException;



abstract class LanguageListRequired
{
	protected Translator translator;


	protected Map< String , String > getSupportedLanguages( )
	{
		Map< String , String > result = new HashMap< String , String >( );
		for ( String lId : this.translator.getSupportedLanguages( ) ) {
			try {
				result.put( lId , this.translator.getLanguageName( lId ) );
			} catch ( UnknownLanguageException e ) {
				// EMPTY
			}
		}
		return result;
	}

}
