package com.deepclone.lw.beans.user.player;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.cmd.player.account.GetLanguageCommand;
import com.deepclone.lw.cmd.player.account.GetLanguageResponse;
import com.deepclone.lw.interfaces.acm.AccountManagement;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;
import com.deepclone.lw.sqld.accounts.Account;
import com.deepclone.lw.utils.EmailAddress;



public class GetLanguageCommandDelegateBean
		implements AutowiredCommandDelegate

{
	private AccountManagement manager;


	@Autowired( required = true )
	public void setAccountManager( AccountManagement manager )
	{
		this.manager = manager;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return GetLanguageCommand.class;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return PlayerCommonCommandsBean.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		EmailAddress addr = new EmailAddress( session.get( "authenticationToken" , String.class ) );
		Account accnt = this.manager.getAccount( addr );
		return new GetLanguageResponse( accnt.getLanguage( ) );
	}

}
