package com.deepclone.lw.beans.user.player;


import java.util.Date;

import com.deepclone.lw.beans.user.abst.AutowiredSubTypeDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.abst.StatefulSessionTypeDefiner;
import com.deepclone.lw.cmd.MaintenanceResponse;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.interfaces.sys.MaintenanceData;
import com.deepclone.lw.interfaces.sys.SystemStatus;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;
import com.deepclone.lw.session.SessionCommandException;



abstract class PlayerSessionSubType
		extends SessionCommandHandler
		implements AutowiredSubTypeDelegate
{

	private SystemStatus systemStatus;


	public void setSystemStatus( SystemStatus systemStatus )
	{
		this.systemStatus = systemStatus;
	}


	@Override
	public final Class< ? extends StatefulSessionTypeDefiner > getSessionType( )
	{
		return PlayerSessionDefinerBean.class;
	}


	@Override
	public final CommandResponse execute( ServerSession session , Command command )
			throws SessionCommandException
	{
		MaintenanceData mData = this.systemStatus.checkMaintenance( );
		if ( mData != null ) {
			return new MaintenanceResponse( mData.start , mData.end , mData.reason );
		}
		//FIXME: that should not be hardcoded
		session.setExpirationDate( new Date( new Date( ).getTime( ) + 1800000L ) );
		return this.executeDelegate( session , command );
	}

}
