package com.deepclone.lw.beans.user.player;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.cmd.player.account.AccountReactivationCommand;
import com.deepclone.lw.cmd.player.account.AccountReactivationResponse;
import com.deepclone.lw.interfaces.acm.AccountMailException;
import com.deepclone.lw.interfaces.acm.AccountManagement;
import com.deepclone.lw.interfaces.mailer.MailerException;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;
import com.deepclone.lw.utils.EmailAddress;



public class ReactivateCommandDelegateBean
		implements AutowiredCommandDelegate

{
	private AccountManagement manager;


	@Autowired( required = true )
	public void setAccountManager( AccountManagement manager )
	{
		this.manager = manager;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return AccountReactivationCommand.class;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return DisabledSubTypeBean.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		String address = session.get( "authenticationToken" , String.class );
		boolean rv;
		try {
			this.manager.reactivateAccount( new EmailAddress( address ) );
			rv = true;
		} catch ( AccountMailException e ) {
			rv = false;
		} catch ( MailerException e ) {
			rv = false;
		}
		return new AccountReactivationResponse( address , rv );
	}

}
