package com.deepclone.lw.beans.user.player.account;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.player.GameSubTypeBean;
import com.deepclone.lw.cmd.player.account.GetAccountCommand;
import com.deepclone.lw.cmd.player.account.GetAccountResponse;
import com.deepclone.lw.cmd.player.gdata.GamePageData;
import com.deepclone.lw.cmd.player.gdata.account.AccountData;
import com.deepclone.lw.interfaces.acm.AccountManagement;
import com.deepclone.lw.interfaces.game.EmpireManagement;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;
import com.deepclone.lw.utils.EmailAddress;



public class GetAccountCommandDelegateBean
		implements AutowiredCommandDelegate
{

	private AccountManagement accountManager;
	private EmpireManagement empireManager;


	@Autowired( required = true )
	public void setAccountManager( AccountManagement accountManager )
	{
		this.accountManager = accountManager;
	}


	@Autowired( required = true )
	public void setEmpireManager( EmpireManagement empireManager )
	{
		this.empireManager = empireManager;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return GameSubTypeBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return GetAccountCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		EmailAddress addr = new EmailAddress( session.get( "authenticationToken" , String.class ) );
		AccountData accnt = this.accountManager.getAccountPage( addr );
		GamePageData gPage = this.empireManager.getGeneralInformation( session.get( "empireId" , Integer.class ) );
		return new GetAccountResponse( gPage , accnt );
	}

}
