package com.deepclone.lw.beans.user.player.account;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.player.GameSubTypeBean;
import com.deepclone.lw.cmd.player.account.SetPreferencesCommand;
import com.deepclone.lw.interfaces.acm.AccountManagement;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;
import com.deepclone.lw.session.NullResponse;
import com.deepclone.lw.utils.EmailAddress;



public class SetPreferencesCommandDelegateBean
		implements AutowiredCommandDelegate

{

	private AccountManagement accountManager;


	@Autowired( required = true )
	public void setAccountManager( AccountManagement accountManager )
	{
		this.accountManager = accountManager;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return GameSubTypeBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return SetPreferencesCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		SetPreferencesCommand command = (SetPreferencesCommand) cParam;
		EmailAddress address = new EmailAddress( session.get( "authenticationToken" , String.class ) );

		if ( command.isReset( ) ) {
			this.accountManager.resetPreferences( address );
		} else {
			this.accountManager.setPreferences( address , command.getValues( ) );
		}

		return new NullResponse( );
	}
}
