package com.deepclone.lw.beans.user.player.bt;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.player.GameSubTypeBean;
import com.deepclone.lw.cmd.ObjectNameError;
import com.deepclone.lw.cmd.bt.ReportBugCommand;
import com.deepclone.lw.cmd.player.bt.ReportBugResponse;
import com.deepclone.lw.interfaces.bt.PlayerBugs;
import com.deepclone.lw.interfaces.game.EmpireManagement;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class ReportBugCommandDelegateBean
		implements AutowiredCommandDelegate
{
	private PlayerBugs bugs;
	private EmpireManagement empires;


	@Autowired( required = true )
	public void setBugs( PlayerBugs bugs )
	{
		this.bugs = bugs;
	}


	@Autowired( required = true )
	public void setEmpires( EmpireManagement empires )
	{
		this.empires = empires;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return GameSubTypeBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return ReportBugCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		int empireId = session.get( "empireId" , Integer.class );

		ReportBugCommand command = (ReportBugCommand) cParam;
		String title = command.getTitle( ).trim( );
		String desc = command.getDescription( ).trim( );

		ObjectNameError titleError;
		if ( "".equals( title ) ) {
			titleError = ObjectNameError.EMPTY;
		} else if ( title.length( ) < 10 || title.length( ) > 127 ) {
			titleError = ObjectNameError.INVALID;
		} else {
			titleError = null;
		}

		ObjectNameError descError;
		if ( "".equals( desc ) ) {
			descError = ObjectNameError.EMPTY;
		} else if ( desc.length( ) < 30 ) {
			descError = ObjectNameError.INVALID;
		} else {
			descError = null;
		}

		if ( descError != null || titleError != null ) {
			return new ReportBugResponse( this.empires.getGeneralInformation( empireId ) , titleError , title ,
					descError , desc );
		}

		return this.bugs.postReport( empireId , title , desc );
	}
}
