package com.deepclone.lw.beans.user.player.game.alliances;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.player.GameSubTypeBean;
import com.deepclone.lw.cmd.player.alliances.JoinAllianceCommand;
import com.deepclone.lw.interfaces.game.AllianceManagement;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class JoinAllianceCommandDelegateBean
		implements AutowiredCommandDelegate
{

	private AllianceManagement allianceManagement;


	@Autowired( required = true )
	public void setAllianceManagement( AllianceManagement allianceManagement )
	{
		this.allianceManagement = allianceManagement;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return JoinAllianceCommand.class;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return GameSubTypeBean.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		JoinAllianceCommand command = (JoinAllianceCommand) cParam;
		int empireId = session.get( "empireId" , Integer.class );
		if ( session.get( "vacation" , Boolean.class ) ) {
			return this.allianceManagement.getView( empireId );
		}
		return this.allianceManagement.requestJoin( empireId , command.getTag( ).trim( ) );
	}
}
