package com.deepclone.lw.beans.user.player.game.elist;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.player.GameSubTypeBean;
import com.deepclone.lw.cmd.player.elist.AddEnemyCommand;
import com.deepclone.lw.interfaces.game.EmpireManagement;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class AddEnemyCommandDelegateBean
		implements AutowiredCommandDelegate
{

	private EmpireManagement empireManagement;


	@Autowired( required = true )
	public void setEmpireManager( EmpireManagement manager )
	{
		this.empireManagement = manager;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return GameSubTypeBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return AddEnemyCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		AddEnemyCommand command = (AddEnemyCommand) cParam;
		int empireId = session.get( "empireId" , Integer.class );
		if ( session.get( "vacation" , Boolean.class ) ) {
			return this.empireManagement.getEnemyLists( empireId );
		}
		return this.empireManagement.addEnemy( empireId , command.isAlliance( ) , command.getName( ) );
	}
}
