package com.deepclone.lw.beans.user.player.game.fleets;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.player.GameSubTypeBean;
import com.deepclone.lw.cmd.player.fleets.SplitFleetCommand;
import com.deepclone.lw.cmd.player.fleets.SplitFleetResponse;
import com.deepclone.lw.interfaces.game.FleetManagement;
import com.deepclone.lw.interfaces.naming.ObjectNameValidator;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class SplitFleetCommandDelegateBean
		implements AutowiredCommandDelegate
{
	private FleetManagement fleetManager;
	private ObjectNameValidator validator;


	@Autowired( required = true )
	public void setFleetManager( FleetManagement fleetManager )
	{
		this.fleetManager = fleetManager;
	}


	@Autowired( required = true )
	public void setObjectNameValidator( ObjectNameValidator validator )
	{
		this.validator = validator;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return SplitFleetCommand.class;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return GameSubTypeBean.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		SplitFleetCommand command = (SplitFleetCommand) cParam;
		int empireId = session.get( "empireId" , Integer.class );
		if ( session.get( "vacation" , Boolean.class ) ) {
			return this.fleetManager.split( empireId , -1 , null , 0 , null , false );
		}

		String name = command.getName( );
		boolean error;
		if ( name != null ) {
			name = command.getName( ).trim( );
			if ( !"".equals( name ) && this.validator.validate( name , 1 , 40 ) != null ) {
				error = true;
				name = "";
			} else {
				error = false;
			}
		} else {
			error = false;
		}

		int nFleets = ( command.getnFleets( ) == null ) ? 0 : command.getnFleets( ).intValue( );
		SplitFleetResponse response = this.fleetManager.split( empireId , command.getFleet( ) , command.getShips( ) ,
				nFleets , name , error );

		response.setNameError( error );
		if ( error ) {
			response.setName( command.getName( ).trim( ) );
		}

		return response;
	}
}
