package com.deepclone.lw.beans.user.player.game.planets;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.player.GameSubTypeBean;
import com.deepclone.lw.cmd.player.planets.ViewPlanetCommand;
import com.deepclone.lw.interfaces.game.PlanetsManagement;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class ViewPlanetCommandDelegateBean
		implements AutowiredCommandDelegate

{

	private PlanetsManagement planetsManagement;


	@Autowired( required = true )
	public void setPlanetsManagement( PlanetsManagement planetsManagement )
	{
		this.planetsManagement = planetsManagement;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return ViewPlanetCommand.class;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return GameSubTypeBean.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		ViewPlanetCommand command = (ViewPlanetCommand) cParam;
		int empireId = session.get( "empireId" , Integer.class );
		int planetId = command.getId( );
		return this.planetsManagement.viewPlanet( empireId , planetId );
	}
}
