package com.deepclone.lw.beans.user.player.msgs;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.player.GameSubTypeBean;
import com.deepclone.lw.cmd.msgdata.MessageType;
import com.deepclone.lw.cmd.player.msgs.PrepareMessageCommand;
import com.deepclone.lw.interfaces.msg.EmpireMessages;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class PrepareMessageCommandDelegateBean
		implements AutowiredCommandDelegate
{
	private EmpireMessages messages;


	@Autowired( required = true )
	public void setMessages( EmpireMessages messages )
	{
		this.messages = messages;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return GameSubTypeBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return PrepareMessageCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		PrepareMessageCommand command = (PrepareMessageCommand) cParam;
		int empireId = session.get( "empireId" , Integer.class );
		MessageType type = command.getType( );

		if ( type == null ) {
			return this.messages.prepareBlankMessage( empireId );
		} else if ( type == MessageType.INTERNAL ) {
			return this.messages.prepareReply( empireId , command.getInbox( ) , command.getId( ) );
		}
		return this.messages.prepareMessageTo( empireId , type , command.getId( ).intValue( ) );
	}
}
