-- LegacyWorlds Beta 6
-- PostgreSQL database scripts
--
-- Load and configure required PostgreSQL extensions
--
-- Copyright(C) 2004-2012, DeepClone Development
-- --------------------------------------------------------

/* Register the dblink extension */
CREATE EXTENSION dblink;

/* Create foreign data wrapper and server used to write logs from within
 * transanctions
 */
CREATE FOREIGN DATA WRAPPER pgsql
	VALIDATOR postgresql_fdw_validator;

CREATE SERVER srv_logging
	FOREIGN DATA WRAPPER pgsql
	OPTIONS ( hostaddr '127.0.0.1' , dbname :dbname_string );

CREATE USER MAPPING FOR :pgadmin
	SERVER srv_logging
	OPTIONS ( user :dbuser_string , password :dbupass );

CREATE USER MAPPING FOR :dbuser
	SERVER srv_logging
	OPTIONS ( user :dbuser_string , password :dbupass );

GRANT USAGE ON FOREIGN SERVER srv_logging TO :dbuser;

/* The events sytem uses the hash store extension to convert events from the
 * queues to main storage.
 */
CREATE EXTENSION hstore;