/*
 * Tests for defs.resource_category_weight_view
 */
BEGIN;
	/*
	 * We need a few resources, with a known average per category. Some of the
	 * resources must not belong to any category.
	 */
	\i utils/strings.sql
	SELECT _create_test_strings( 5 , 'resource' );
	SELECT _create_test_strings( 5 , 'resDesc' );
	SELECT _create_test_strings( 2 , 'resCat' );
	
	INSERT INTO defs.resources(
			resource_name_id , resource_description_id ,
			resource_category_id , resource_weight
		) VALUES (
			_get_string( 'resource1' ) , _get_string( 'resDesc1' ) ,
			_get_string( 'resCat1' ) , 2
		) , (
			_get_string( 'resource2' ) , _get_string( 'resDesc2' ) ,
			_get_string( 'resCat1' ) , 4
		) , (
			_get_string( 'resource3' ) , _get_string( 'resDesc3' ) ,
			_get_string( 'resCat2' ) , 3
		) , (
			_get_string( 'resource4' ) , _get_string( 'resDesc4' ) ,
			_get_string( 'resCat2' ) , 5
		) , (
			_get_string( 'resource5' ) , _get_string( 'resDesc5' ) ,
			NULL , 150
		);

	SELECT plan( 1 );
	
	SELECT diag_test_name( 'defs.resource_category_weight_view - Resulting set contains correct values' );
	SELECT set_eq(
		$$ SELECT * FROM defs.resource_category_weight_view $$ ,
		$$ VALUES (
			_get_string( 'resCat1' ) , 3
		) , (
			_get_string( 'resCat2' ) , 4
		) $$
	);

	SELECT * FROM finish( );
ROLLBACK;