/*
 * Test the emp.mset_update_set() function
 */
BEGIN;
	CREATE TEMPORARY TABLE mset_update(
		empire_id			INT ,
		resource_name		TEXT ,
		empmset_weight		INT
	) ON COMMIT DROP;
	INSERT INTO mset_update VALUES ( 1 , 'a' , 0 ) , ( 1 , 'b' , 0 );
	
	/***** TESTS BEGIN HERE *****/
	SELECT plan( 7 );
	
	SELECT diag_test_name( 'emp.mset_update_set( ) - Valid update' );
	SELECT ok( emp.mset_update_set( 'a' , 1 ) );
	SELECT diag_test_name( 'emp.mset_update_set( ) - Valid update results (1/2)' );
	SELECT is( empmset_weight , 1 ) FROM mset_update WHERE resource_name = 'a';
	SELECT diag_test_name( 'emp.mset_update_set( ) - Valid update results (2/2)' );
	SELECT is( empmset_weight , 0 ) FROM mset_update WHERE resource_name = 'b';
	DELETE FROM mset_update;

	INSERT INTO mset_update VALUES ( 1 , 'a' , 0 ) , ( 1 , 'b' , 0 );
	SELECT diag_test_name( 'emp.mset_update_set( ) - Update on unknown resource' );
	SELECT ok( NOT emp.mset_update_set( 'c' , 1 ) );
	SELECT diag_test_name( 'emp.mset_update_set( ) - Unknown resource update results (1/2)' );
	SELECT is( empmset_weight , 0 ) FROM mset_update WHERE resource_name = 'a';
	SELECT diag_test_name( 'emp.mset_update_set( ) - Unknown resource update results (2/2)' );
	SELECT is( empmset_weight , 0 ) FROM mset_update WHERE resource_name = 'b';
	DELETE FROM mset_update;

	INSERT INTO mset_update VALUES ( 1 , 'a' , 0 ) , ( 1 , 'b' , 0 );
	SELECT diag_test_name( 'emp.mset_update_set( ) - Update with invalid weight' );
	SELECT ok( emp.mset_update_set( 'a' , -1 ) );

	SELECT * FROM finish( );
ROLLBACK;