/*
 * Test privileges on sys.update_targets
 */
BEGIN;
	SELECT plan( 4 );
	
	SELECT diag_test_name( 'sys.update_targets - No INSERT privilege' );
	SELECT throws_ok(
		$$ INSERT INTO sys.update_targets DEFAULT VALUES; $$ ,
		42501 );

	SELECT diag_test_name( 'sys.update_targets - No UPDATE privilege' );
	SELECT throws_ok(
		$$ UPDATE sys.update_targets SET updtgt_id = 42; $$ ,
		42501 );

	SELECT diag_test_name( 'sys.update_targets - No SELECT privilege' );
	SELECT throws_ok(
		$$ SELECT * FROM sys.update_targets; $$ ,
		42501 );

	SELECT diag_test_name( 'sys.update_targets - No DELETE privilege' );
	SELECT throws_ok(
		$$ DELETE FROM sys.update_targets; $$ ,
		42501 );

	SELECT * FROM finish( );
ROLLBACK;