/*
 * Test privileges on sys.updates
 */
BEGIN;
	SELECT plan( 4 );
	
	SELECT diag_test_name( 'sys.updates - No INSERT privilege' );
	SELECT throws_ok(
		$$ INSERT INTO sys.updates DEFAULT VALUES; $$ ,
		42501 );

	SELECT diag_test_name( 'sys.updates - No UPDATE privilege' );
	SELECT throws_ok(
		$$ UPDATE sys.updates SET updtgt_id = 42; $$ ,
		42501 );

	SELECT diag_test_name( 'sys.updates - No SELECT privilege' );
	SELECT throws_ok(
		$$ SELECT * FROM sys.updates; $$ ,
		42501 );

	SELECT diag_test_name( 'sys.updates - No DELETE privilege' );
	SELECT throws_ok(
		$$ DELETE FROM sys.updates; $$ ,
		42501 );

	SELECT * FROM finish( );
ROLLBACK;