package com.deepclone.lw.sqld.sys;


import java.util.LinkedList;
import java.util.List;



public class ExceptionLog
{

	private Long id;

	private Integer order;

	private String className;

	private String message;

	private List< StackTraceLog > stack = new LinkedList< StackTraceLog >( );


	public ExceptionLog( SystemLogEntry logEntry, String className , String message )
	{
		this.className = className;
		this.message = message;
		logEntry.addException( this );
	}


	public ExceptionLog( Long id , Integer order , String className , String message )
	{
		this.id = id;
		this.order = order;
		this.className = className;
		this.message = message;
	}


	public Long getId( )
	{
		return id;
	}


	public Integer getOrder( )
	{
		return order;
	}


	public String getClassName( )
	{
		return className;
	}


	public String getMessage( )
	{
		return message;
	}


	public List< StackTraceLog > getStack( )
	{
		return stack;
	}


	public void addStackTrace( StackTraceLog stackTraceLog )
	{
		this.stack.add( stackTraceLog );
	}

}
