package com.deepclone.lw.sqld.sys;


import java.sql.Timestamp;



/**
 * Single-entry system status "table".
 * 
 * @author tseeker
 */
public class Status
{
	/** Identifier of the next tick */
	private long nextTickIdentifier;

	/** Identifier of the current tick, if one is running */
	private Long currentTick;

	/** If the game is under maintenance, timestamp at which maintenance was initiated */
	private Timestamp maintenanceStart;

	/** If the game is under maintenance, timestamp at which maintenance is supposed to end */
	private Timestamp maintenanceEnd;

	/** If the game is under maintenance, text to display as the reason for maintenance */
	private String maintenanceReason;

	/** Timestamp at which errors were last checked */
	private Timestamp lastErrorCheck;

	/** Timestamp at which the last administration recap email was sent */
	private Timestamp lastAdminRecap;

	/** Timestamp at which the last messages recap email was sent */
	private Timestamp lastMsgRecap;


	public Long getNextTickIdentifier( )
	{
		return nextTickIdentifier;
	}


	public void setNextTickIdentifier( long nextTickIdentifier )
	{
		this.nextTickIdentifier = nextTickIdentifier;
	}


	public Long getCurrentTick( )
	{
		return currentTick;
	}


	public void setCurrentTick( Long currentTick )
	{
		this.currentTick = currentTick;
	}


	public Timestamp getMaintenanceStart( )
	{
		return maintenanceStart;
	}


	public void setMaintenanceStart( Timestamp maintenanceStart )
	{
		this.maintenanceStart = maintenanceStart;
	}


	public Timestamp getMaintenanceEnd( )
	{
		return maintenanceEnd;
	}


	public void setMaintenanceEnd( Timestamp maintenanceEnd )
	{
		this.maintenanceEnd = maintenanceEnd;
	}


	public String getMaintenanceReason( )
	{
		return maintenanceReason;
	}


	public void setMaintenanceReason( String maintenanceReason )
	{
		this.maintenanceReason = maintenanceReason;
	}


	public Timestamp getLastErrorCheck( )
	{
		return lastErrorCheck;
	}


	public void setLastErrorCheck( Timestamp lastErrorCheck )
	{
		this.lastErrorCheck = lastErrorCheck;
	}


	public Timestamp getLastAdminRecap( )
	{
		return lastAdminRecap;
	}


	public void setLastAdminRecap( Timestamp lastAdminRecap )
	{
		this.lastAdminRecap = lastAdminRecap;
	}


	public Timestamp getLastMsgRecap( )
	{
		return lastMsgRecap;
	}


	public void setLastMsgRecap( Timestamp lastMsgRecap )
	{
		this.lastMsgRecap = lastMsgRecap;
	}

}
