package com.deepclone.lw.interfaces.acm;


import java.util.List;

import com.deepclone.lw.cmd.admin.users.AccountListEntry;
import com.deepclone.lw.cmd.admin.users.AccountStatus;
import com.deepclone.lw.cmd.admin.users.AccountViewEntry;
import com.deepclone.lw.cmd.player.gdata.account.MailChangeData;
import com.deepclone.lw.sqld.accounts.Account;
import com.deepclone.lw.sqld.accounts.AccountOperationResult;
import com.deepclone.lw.sqld.accounts.QuittingAccount;
import com.deepclone.lw.sqld.accounts.ValidationResult;
import com.deepclone.lw.utils.EmailAddress;
import com.deepclone.lw.utils.Password;



public interface UsersDAO
{

	public Account getAccount( EmailAddress address );


	public Account getAccount( int id );


	public AccountOperationResult createAccount( EmailAddress address , Password password , String language );


	public Account reactivateAccount( EmailAddress address );


	public void cancelAccountValidation( Account account );


	public ValidationResult validateAccount( EmailAddress address , String token , String eName , String pName );


	public AccountOperationResult requestPasswordRecovery( EmailAddress address );


	public void cancelPasswordRecovery( Account account );


	public AccountOperationResult confirmPasswordRecovery( EmailAddress address , String token , Password nPassword );


	public MailChangeData getMailChange( int accountId );


	public void setLanguage( EmailAddress address , String language );


	public boolean setPassword( Account account , Password newPassword );


	public int setAddress( Account account , EmailAddress nAddress );


	public void cancelAddressChange( Account account );


	public int confirmAddressChange( Account account , String code );


	public void expireRequests( );


	public void setQuit( Account account , String reason );


	public void cancelQuit( Account account );


	public List< QuittingAccount > processQuits( );


	public void enterVacation( Account account );


	public void leaveVacation( Account account );


	public void processVacations( );


	public List< AccountListEntry > listAccounts( AccountStatus status );


	public List< AccountListEntry > listOnlineAccounts( AccountStatus status );


	public AccountViewEntry viewAccount( int id );


	public void giveCredits( int adminId , int accountId , int credits );


	public void deleteOldAccounts( );


	public List< QuittingAccount > getInactivesToWarn( );


	public List< QuittingAccount > getInactivesToDisable( );
}
