package com.deepclone.lw.interfaces.admin;


import java.net.InetAddress;
import java.util.List;
import java.util.Set;

import com.deepclone.lw.cmd.admin.AdminOverviewResponse;
import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.admin.adata.Privileges;
import com.deepclone.lw.cmd.admin.bans.BanType;
import com.deepclone.lw.cmd.admin.bans.BansSummaryResponse;
import com.deepclone.lw.cmd.admin.bans.ListBansResponse;
import com.deepclone.lw.cmd.admin.bans.RequestBanResponse;
import com.deepclone.lw.cmd.admin.su.AddAdministratorResponse;
import com.deepclone.lw.interfaces.acm.PasswordProhibitedException;
import com.deepclone.lw.sqld.admin.AdminRecord;
import com.deepclone.lw.utils.EmailAddress;
import com.deepclone.lw.utils.Password;



public interface Administration
{

	public AdminRecord getAdmin( int id );


	public AdminRecord login( EmailAddress address , String challenge , String sha1Hash , String md5Hash ,
			InetAddress ipAddress );


	public void logout( int adminId );


	public boolean setPassword( int id , String challenge , String sha1Auth , String md5Auth , Password password )
			throws PasswordProhibitedException;


	public List< AdminRecord > listAdministrators( );


	public AddAdministratorResponse createAdmin( Administrator creator , String address , String name , int privileges );


	public AdminRecord resetPassword( Administrator admin , int identifier );


	public AdminRecord setPrivileges( Administrator admin , int identifier , Set< Privileges > privileges );


	public BansSummaryResponse getBansSummary( Administrator admin );


	public ListBansResponse getBans( Administrator admin , BanType type );


	public RequestBanResponse requestBan( Administrator admin , String user , boolean empire , String reason );


	public void rejectBan( Administrator admin , int id , String reason );


	public void confirmBan( Administrator admin , int id );


	public void liftBan( Administrator admin , int id );


	public AdminOverviewResponse getOverview( Administrator admin );
}
