package com.deepclone.lw.interfaces.bt;


import java.util.List;

import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.bt.data.*;



public interface BugsDAO
{

	public long countReports( int empireId , BugStatus status , boolean ownOnly );


	public long countReports( Administrator admin , BugStatus status , boolean ownOnly );


	public long countUpdatedReports( Administrator admin );


	public List< BugReport > getReports( int empireId , BugStatus status , boolean ownOnly , long first , int count );


	public List< BugReport > getReports( Administrator admin , BugStatus status , boolean ownOnly , long first ,
			int count );


	public BugReport getReport( int empireId , long reportId );


	public BugReport getReport( Administrator admin , long reportId );


	public long postReport( int empireId , String title , String contents , String extra );


	public long postReport( Administrator admin , String title , String contents , boolean publicReport );


	public void postComment( int empireId , long reportId , String comment );


	public void postComment( Administrator admin , long reportId , String comment , boolean publicComment );


	public List< BugEvent > getEvents( long bugId );


	public void showComment( Administrator admin , long commentId );


	public void deleteComment( Administrator admin , long commentId );


	public void validateReport( Administrator admin , long bugId , BugStatus status , boolean publicReport , int credits, boolean snapshot );


	public void setStatus( Administrator admin , long bugId , BugStatus status );


	public void toggleVisibility( Administrator admin , long bugId );


	public int mergeReports( Administrator admin , long id , long mergeId );


	public String getSnapshot( long bugId );

}
