package com.deepclone.lw.interfaces.eventlog;


import java.util.List;

import com.deepclone.lw.sqld.sys.SystemLogEntry;



/**
 * This interface is used by the server's log writer bean. It implements an asynchronous log writer
 * that uses the database to store log entries.
 * 
 * @author tseeker
 */
public interface LogWriter
{

	/**
	 * Adds a list of log entries to the queue of messages to write.
	 * 
	 * @param entries
	 *            the entries to write
	 */
	public void addEntries( List< SystemLogEntry > entries );

}
