package com.deepclone.lw.interfaces.i18n;




/**
 * The I18NManager interface is used to access the main I18N management bean.
 * 
 * @author tseeker
 */
public interface I18NManager
{

	/**
	 * Creates an administration session for an administrator.
	 * 
	 * @param administrator
	 *            the administrator editing the I18N database
	 * @return the administration session instance
	 */
	public I18NAdministration getAdminSession( int administrator );


	/**
	 * Reloads all translations from the database. This should only be used if manual modifications
	 * are made to the DB for some reason.
	 */
	public void reload( );

}
