package com.deepclone.lw.interfaces.prefs;


import java.util.HashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;



public class AccountPreferences
{

	private final Map< String , PreferenceGroup > groups = new HashMap< String , PreferenceGroup >( );

	private final List< String > groupOrder = new LinkedList< String >( );

	private final Map< String , String > prefGroups;


	public AccountPreferences( List< PreferenceGroup > groups , Map< String , String > prefGroups )
	{
		for ( PreferenceGroup group : groups ) {
			this.groups.put( group.getName( ) , group );
			this.groupOrder.add( group.getName( ) );
		}
		this.prefGroups = prefGroups;
	}


	public List< PreferenceGroup > getGroups( )
	{
		List< PreferenceGroup > g = new LinkedList< PreferenceGroup >( );
		for ( String gn : groupOrder ) {
			g.add( this.groups.get( gn ) );
		}
		return g;
	}


	public < T > T getPreference( String name , Class< T > type )
	{
		String gn = this.prefGroups.get( name );
		return this.groups.get( gn ).getPreference( name ).getValue( type );
	}
}
