package com.deepclone.lw.interfaces.prefs;


public class Preference
{

	private String name;

	private PreferenceGroup group;

	private String displayName;

	private String description;

	private PreferenceType< ? > type;

	private String value;


	public Preference( String name , PreferenceGroup group , String displayName , String description ,
			PreferenceType< ? > type , String value )
	{
		this.name = name;
		this.group = group;
		this.displayName = displayName;
		this.description = description;
		this.type = type;
		this.value = value;
		this.group.addPreference( this );
	}


	public String getName( )
	{
		return name;
	}


	public PreferenceGroup getGroup( )
	{
		return group;
	}


	public String getDisplayName( )
	{
		return displayName;
	}


	public String getDescription( )
	{
		return description;
	}


	public PreferenceType< ? > getType( )
	{
		return type;
	}


	public String getDBValue( )
	{
		return this.value;
	}


	@SuppressWarnings( "unchecked" )
	public < T > T getValue( Class< T > type )
	{
		return ( (PreferenceType< T >) this.type ).valueOf( this.value , type );
	}

}
