package com.deepclone.lw.interfaces.prefs;


import java.util.HashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;



public class PreferenceGroup
{

	private String name;

	private String display;

	private final List< Preference > definitions = new LinkedList< Preference >( );

	private final Map< String , Preference > byName = new HashMap< String , Preference >( );


	public PreferenceGroup( String name , String display )
	{
		this.name = name;
		this.display = display;
	}


	public String getName( )
	{
		return name;
	}


	public String getDisplay( )
	{
		return display;
	}


	public void addPreference( Preference def )
	{
		this.definitions.add( def );
		this.byName.put( def.getName( ) , def );
	}


	public List< Preference > getPreferences( )
	{
		return this.definitions;
	}


	public Preference getPreference( String name )
	{
		return this.byName.get( name );
	}

}
