package com.deepclone.lw.interfaces.sys;


import java.util.Map;



/**
 * This interface is implemented by beans which need to access system constants and be informed if
 * the constants are modified.
 * 
 * @author tseeker
 * 
 */
public interface ConstantsUser
{

	/**
	 * This method will be called by the constants manager when the constants user registers itself
	 * or whenever one of the constants needed by the user is modified.
	 * 
	 * @param initial
	 *            true if the call is being issued after registration, false otherwise
	 * @param values
	 *            a map that associates updated constant names to their new values
	 * @throws Exception
	 *             for whatever reasons.
	 */
	public void setConstants( boolean initial , Map< String , Double > values )
			throws Exception;

}
