package com.deepclone.lw.cli.dbexport;


import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.RowMapper;



public class UserMapper
		implements RowMapper< User >
{

	@Override
	public User mapRow( ResultSet rs , int rowNum )
			throws SQLException
	{
		User user = new User( );

		user.address = rs.getString( "address" );
		user.language = rs.getString( "language" );
		user.gameCredits = rs.getInt( "game_credits" );
		user.vacationCredits = rs.getInt( "vacation_credits" );
		user.md5 = rs.getString( "pass_md5" );
		user.sha1 = rs.getString( "pass_sha1" );
		user.empire = rs.getString( "current_empire" );
		
		int wCount = rs.getInt( "warnings_count" );
		if ( wCount > 0 ) {
			user.warnings = new Warnings( );
			user.warnings.count = wCount;
			user.warnings.last = rs.getTimestamp( "warnings_last" );
		}
		
		String aName = rs.getString( "administrator_name" );
		if ( aName != null ) {
			user.administrator = new Administrator( );
			user.administrator.id = rs.getInt( "administrator_id" );
			user.administrator.name = aName;
			user.administrator.privileges = rs.getInt( "privileges" );
			user.administrator.md5 = rs.getString( "administrator_md5" );
			user.administrator.sha1 = rs.getString( "administrator_sha1" );
		}

		return user;
	}

}
