package com.deepclone.lw.cli.xmlimport.data;


/**
 * Data import exception
 * 
 * <p>
 * This exception is thrown by importable data classes when some error occurs while loading, or when
 * verification fails.
 * 
 * @author <a href="mailto:tseeker@legacyworlds.com">E. Benoît</a>
 */
@SuppressWarnings( "serial" )
public class DataImportException
		extends Exception
{

	/**
	 * Initialise a data import exception using an error message
	 * 
	 * @param message
	 *            the error message
	 */
	public DataImportException( String message )
	{
		super( message );
	}


	/**
	 * Initialise a data import exception using an message and a cause
	 * 
	 * @param message
	 *            the error message
	 * @param cause
	 *            the exception that caused this exception to be thrown
	 */
	public DataImportException( String message , Throwable cause )
	{
		super( message , cause );
	}

}
