package com.deepclone.lw.cli.xmlimport.data.evdef;


import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;



/**
 * An entity reference field definition
 * 
 * @author <a href="mailto:tseeker@legacyworlds.com">E. Benoît</a>
 */
@XStreamAlias( "entity" )
@SuppressWarnings( "serial" )
public class EntityEventField
		extends EventFieldBase
{

	/** The type of entities this field references */
	@XStreamAsAttribute
	@XStreamAlias( "entity-type" )
	private EventFieldEntityType entityType;


	/**
	 * Gets the type of entities this field references.
	 * 
	 * @return the type of entities this field references
	 */
	public EventFieldEntityType getEntityType( )
	{
		return this.entityType;
	}


	/** @return {@link EntityFieldType#ENTITY} */
	@Override
	public EventFieldType getType( )
	{
		return EventFieldType.ENTITY;
	}

}
