package com.deepclone.lw.cli.xmlimport.data.evdef;


/** Types of event fields as they are stored in the definition file
 * 
 * @author <a href="mailto:tseeker@legacyworlds.com">E. Benoît</a>
 */
public enum EventFieldType {

	/** An integer field */
	INTEGER ,

	/** An double precision real number field */
	REAL ,

	/** A string field */
	TEXT ,

	/** A boolean field */
	BOOLEAN ,

	/** A field that references an internationalised string */
	I18N ,

	/** A field that references some game entity */
	ENTITY

}
