package com.deepclone.lw.cli.xmlimport.data.evdef;


import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;



/**
 * An integer event field definition
 * 
 * @author <a href="mailto:tseeker@legacyworlds.com">E. Benoît</a>
 */
@XStreamAlias( "integer" )
@SuppressWarnings( "serial" )
public class IntegerEventField
		extends EventFieldBase
{
	/** Minimal value allowed for the field */
	@XStreamAsAttribute
	private Integer min;

	/** Maximal value allowed for the field */
	@XStreamAsAttribute
	private Integer max;


	/**
	 * Gets the minimal value allowed for the field.
	 * 
	 * @return the minimal value allowed for the field
	 */
	public Integer getMin( )
	{
		return this.min;
	}


	/**
	 * Gets the maximal value allowed for the field.
	 * 
	 * @return the maximal value allowed for the field
	 */
	public Integer getMax( )
	{
		return this.max;
	}


	/** @return {@link EventFieldType#INTEGER} */
	@Override
	public EventFieldType getType( )
	{
		return EventFieldType.INTEGER;
	}

}
