package com.deepclone.lw.cli.xmlimport.data.evdef;


import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;



/**
 * A real field definition
 * 
 * @author <a href="mailto:tseeker@legacyworlds.com">E. Benoît</a>
 */
@XStreamAlias( "real" )
@SuppressWarnings( "serial" )
public class RealEventField
		extends EventFieldBase
{

	/** Minimal value for the field */
	@XStreamAsAttribute
	private Double min;

	/** Maximal value for the field */
	@XStreamAsAttribute
	private Double max;


	/**
	 * Gets the minimal value for the field.
	 * 
	 * @return the minimal value for the field
	 */
	public Double getMin( )
	{
		return this.min;
	}


	/**
	 * Gets the maximal value for the field.
	 * 
	 * @return the maximal value for the field
	 */
	public Double getMax( )
	{
		return this.max;
	}


	/** @return {@link EventFieldType#REAL} */
	@Override
	public EventFieldType getType( )
	{
		return EventFieldType.REAL;
	}

}
