package com.deepclone.lw.cmd;


import java.sql.Timestamp;
import java.util.Date;

import com.deepclone.lw.session.CommandResponse;



public class MaintenanceResponse
		extends CommandResponse
{

	private static final long serialVersionUID = 1L;

	private final Timestamp start;

	private final Timestamp end;

	private final String reason;


	public MaintenanceResponse( Timestamp start , Timestamp end , String reason )
	{
		this.start = start;
		this.end = end;
		this.reason = reason;
	}


	public Timestamp getStart( )
	{
		return start;
	}


	public Timestamp getEnd( )
	{
		return end;
	}


	public String getReason( )
	{
		return reason;
	}


	public boolean isLate( )
	{
		return this.end.before( new Date( ) );
	}


	public Timestamp getCurrent( )
	{
		return new Timestamp( new Date( ).getTime( ) );
	}
}
