package com.deepclone.lw.cmd;


/**
 * The results of a name validation operation
 * 
 * @author <a href="mailto:tseeker@legacyworlds.com">E. Benoît</a>
 * 
 */
public enum ObjectNameError {

	/** The name is empty */
	EMPTY ,

	/** The name is used by another object (e.g. duplicate empire name) */
	UNAVAILABLE ,

	/** The name has been banned from being used again */
	BANNED ,

	/**
	 * The name is invalid (too short, too long, sequences of white space, invalid characters, does
	 * not start with a letter)
	 */
	INVALID

}
