package com.deepclone.lw.cmd.admin.adata;


import java.io.Serializable;
import java.util.List;



public class AdministratorBasics
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	private int id;
	private String name;
	protected int privileges;


	public int getId( )
	{
		return id;
	}


	public void setId( int id )
	{
		this.id = id;
	}


	public String getName( )
	{
		return name;
	}


	public void setName( String name )
	{
		this.name = name;
	}


	public void setPrivileges( int privileges )
	{
		this.privileges = privileges;
	}


	public boolean isSuperuser( )
	{
		return Privileges.SUPER.hasPrivilege( this.privileges );
	}


	public boolean isCanSpam( )
	{
		return Privileges.SPAM.hasPrivilege( this.privileges );
	}


	public boolean isTranslator( )
	{
		return Privileges.I18N.hasPrivilege( this.privileges );
	}


	public boolean isConstantsAdmin( )
	{
		return Privileges.CNST.hasPrivilege( this.privileges );
	}


	public boolean isUserAdmin( )
	{
		return Privileges.USER.hasPrivilege( this.privileges );
	}


	public boolean isBanhammerUser( )
	{
		return Privileges.BANH.hasPrivilege( this.privileges );
	}


	public boolean isTickAdmin( )
	{
		return Privileges.TICK.hasPrivilege( this.privileges );
	}


	public boolean isNameAdmin( )
	{
		return Privileges.NAME.hasPrivilege( this.privileges );
	}


	public boolean isPrefAdmin( )
	{
		return Privileges.PREF.hasPrivilege( this.privileges );
	}


	public boolean isCanViewLogs( )
	{
		return Privileges.LOGS.hasPrivilege( this.privileges );
	}


	public boolean isBugMailReceiver( )
	{
		return Privileges.BUGM.hasPrivilege( this.privileges );
	}


	public boolean isBugTrackerAdmin( )
	{
		return Privileges.BUGT.hasPrivilege( this.privileges );
	}


	public boolean isMaintenanceAdmin( )
	{
		return Privileges.MNTM.hasPrivilege( this.privileges );
	}


	public boolean hasPrivilege( Privileges priv )
	{
		return priv.hasPrivilege( this.privileges );
	}


	public List< Privileges > getPrivileges( )
	{
		return Privileges.getPrivileges( this.privileges );
	}

}
