package com.deepclone.lw.cmd.admin.bt;


import java.util.List;

import com.deepclone.lw.cmd.admin.AdminResponse;
import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.bt.data.BugReport;
import com.deepclone.lw.cmd.bt.data.BugStatus;



public class ListBugsResponse
		extends AdminResponse
{

	private static final long serialVersionUID = 1L;

	private final BugStatus status;
	private final boolean ownOnly;
	private final long first;
	private final int count;
	private final long entries;
	private final List< BugReport > reports;


	public ListBugsResponse( Administrator admin )
	{
		super( admin , false );
		this.status = null;
		this.ownOnly = false;
		this.first = 0;
		this.count = 0;
		this.entries = 0;
		this.reports = null;
	}


	public ListBugsResponse( Administrator admin , BugStatus status , boolean ownOnly , long first , int count ,
			long entries , List< BugReport > reports )
	{
		super( admin );
		this.status = status;
		this.ownOnly = ownOnly;
		this.first = first;
		this.count = count;
		this.entries = entries;
		this.reports = reports;
	}


	public BugStatus getStatus( )
	{
		return status;
	}


	public boolean isOwnOnly( )
	{
		return ownOnly;
	}


	public long getFirst( )
	{
		return first;
	}


	public int getCount( )
	{
		return count;
	}


	public long getEntries( )
	{
		return entries;
	}


	public List< BugReport > getReports( )
	{
		return reports;
	}

}
