package com.deepclone.lw.cmd.admin.bt;


import java.util.List;

import com.deepclone.lw.cmd.ObjectNameError;
import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.bt.data.BugEvent;
import com.deepclone.lw.cmd.bt.data.BugReport;



public class PostCommentResponse
		extends ViewBugResponse
{

	private static final long serialVersionUID = 1L;

	private final boolean posted;
	private final ObjectNameError commentError;
	private final String comment;
	private final boolean publicComment;


	/** "Post comment" response indicating a successful post */
	public PostCommentResponse( Administrator admin )
	{
		super( admin , false );
		this.posted = true;
		this.comment = null;
		this.commentError = null;
		this.publicComment = false;
	}


	/** "Post comment" response indicating a missing report or privilege error */
	public PostCommentResponse( Administrator admin , boolean privError )
	{
		super( admin , privError );
		this.posted = false;
		this.comment = null;
		this.commentError = null;
		this.publicComment = false;
	}


	/** "Post comment" response indicating a comment error */
	public PostCommentResponse( Administrator admin , BugReport report , List< BugEvent > events ,
			ObjectNameError error , String comment , boolean publicComment )
	{
		super( admin , report , events );
		this.posted = false;
		this.commentError = error;
		this.comment = comment;
		this.publicComment = publicComment;
	}


	public PostCommentResponse( PostCommentResponse response , Object query )
	{
		super( response , query );
		this.posted = false;
		this.commentError = response.commentError;
		this.comment = response.comment;
		this.publicComment = response.publicComment;
	}


	public boolean isPosted( )
	{
		return posted;
	}


	public ObjectNameError getCommentError( )
	{
		return commentError;
	}


	public String getComment( )
	{
		return comment;
	}


	public boolean isPublicComment( )
	{
		return publicComment;
	}

}
