package com.deepclone.lw.cmd.admin.constants;


import java.io.Serializable;
import java.util.Collections;
import java.util.List;



public class Category
		implements Serializable , Comparable< Category >
{

	private static final long serialVersionUID = 1L;

	private final String name;
	private final List< Definition > definitions;


	public Category( String name , List< Definition > defs )
	{
		this.name = name;
		this.definitions = defs;
		Collections.sort( defs );
	}


	@Override
	public int compareTo( Category other )
	{
		if ( other == null ) {
			return 1;
		}
		return this.name.compareTo( other.name );
	}


	public String getName( )
	{
		return name;
	}


	public List< Definition > getDefinitions( )
	{
		return definitions;
	}

}
