package com.deepclone.lw.cmd.ext;


import java.util.Map;

import com.deepclone.lw.cmd.MailError;
import com.deepclone.lw.cmd.PasswordError;
import com.deepclone.lw.session.CommandResponse;



public final class CreateAccountResponse
		extends CommandResponse
{

	private static final long serialVersionUID = 1L;

	private final boolean created;

	private final String language;

	private final String mail;

	private final String mailConfirm;

	private final PasswordError passwordError;

	private final MailError mailError;

	private final ListLanguagesResponse supportedLanguages;


	public CreateAccountResponse( String mail , String language )
	{
		this.created = true;
		this.language = language;
		this.mail = mail;
		this.mailConfirm = null;
		this.passwordError = null;
		this.mailError = null;
		this.supportedLanguages = null;
	}


	public CreateAccountResponse( String mail , String mailConfirm , PasswordError passwordError , MailError mailError ,
			String language , Map< String , String > supportedLanguages )
	{
		this.created = false;
		this.language = language;
		this.mail = mail;
		this.mailConfirm = mailConfirm;
		this.passwordError = passwordError;
		this.mailError = mailError;
		this.supportedLanguages = new ListLanguagesResponse( supportedLanguages );
	}


	public boolean getCreated( )
	{
		return created;
	}


	public String getLanguage( )
	{
		return language;
	}


	public String getMail( )
	{
		return mail;
	}


	public String getMailConfirm( )
	{
		return mailConfirm;
	}


	public PasswordError getPasswordError( )
	{
		return passwordError;
	}


	public MailError getMailError( )
	{
		return mailError;
	}


	public ListLanguagesResponse getSupportedLanguages( )
	{
		return supportedLanguages;
	}
}
