package com.deepclone.lw.cmd.player.bt;


import java.util.List;

import com.deepclone.lw.cmd.ObjectNameError;
import com.deepclone.lw.cmd.bt.data.BugEvent;
import com.deepclone.lw.cmd.bt.data.BugReport;
import com.deepclone.lw.cmd.player.gdata.GamePageData;



public class PostCommentResponse
		extends ViewBugResponse
{

	private static final long serialVersionUID = 1L;

	private final boolean posted;
	private final ObjectNameError commentError;
	private final String comment;


	public PostCommentResponse( GamePageData page , boolean posted )
	{
		super( page );
		this.posted = posted;
		this.comment = null;
		this.commentError = null;
	}


	public PostCommentResponse( GamePageData page , BugReport report , List< BugEvent > events , ObjectNameError error ,
			String comment )
	{
		super( page , report , events );
		this.posted = false;
		this.commentError = error;
		this.comment = comment;
	}


	public PostCommentResponse( PostCommentResponse response , Object query )
	{
		super( response , query );
		this.posted = false;
		this.commentError = response.commentError;
		this.comment = response.comment;
	}


	public boolean isPosted( )
	{
		return posted;
	}


	public ObjectNameError getCommentError( )
	{
		return commentError;
	}


	public String getComment( )
	{
		return comment;
	}

}
