package com.deepclone.lw.cmd.player.bt;


import java.util.List;

import com.deepclone.lw.cmd.bt.data.BugEvent;
import com.deepclone.lw.cmd.bt.data.BugReport;
import com.deepclone.lw.cmd.player.gdata.GamePageData;
import com.deepclone.lw.cmd.player.gdata.GameResponseBase;



public class ViewBugResponse
		extends GameResponseBase
{

	private static final long serialVersionUID = 1L;

	private final BugReport report;
	private final List< BugEvent > events;
	private final Object query;


	public ViewBugResponse( GamePageData page )
	{
		super( page );
		this.report = null;
		this.events = null;
		this.query = null;
	}


	public ViewBugResponse( GamePageData page , BugReport report , List< BugEvent > events )
	{
		super( page );
		this.report = report;
		this.events = events;
		this.query = null;
	}


	public ViewBugResponse( ViewBugResponse response , Object query )
	{
		super( response.getPage( ) );
		this.report = response.report;
		this.events = response.events;
		this.query = query;
	}


	public BugReport getReport( )
	{
		return report;
	}


	public List< BugEvent > getEvents( )
	{
		return events;
	}


	public Object getQuery( )
	{
		return query;
	}

}
