package com.deepclone.lw.cmd.player.gdata;


import java.io.Serializable;



public abstract class AbstractResourceRecord
		implements Serializable
{

	/**
	 * The serialisation version identifier
	 * 
	 * <ul>
	 * <li>Introduced in B6M2 with ID 1
	 * </ul>
	 */
	private static final long serialVersionUID = 1L;

	/** The text identifier of the resource */
	private String identifier;

	/** The internationalised name of the resource's category */
	private String category;

	/** The internationalised name of the resource */
	private String title;

	/** The internationalised description of the resource */
	private String description;


	/** @return the text identifying the resource */
	public String getIdentifier( )
	{
		return this.identifier;
	}


	/**
	 * Set the text identifying the resource
	 * 
	 * @param identifier
	 *            the text identifying the resource
	 */
	public void setIdentifier( String identifier )
	{
		this.identifier = identifier;
	}


	/** @return the internationalised title of the resource */
	public String getTitle( )
	{
		return this.title;
	}


	/**
	 * Set the internationalised title of the resource
	 * 
	 * @param title
	 *            the internationalised title of the resource
	 */
	public void setTitle( String title )
	{
		this.title = title;
	}


	/** @return the internationalised name of the category of the resource */
	public String getCategory( )
	{
		return this.category;
	}


	/**
	 * Set the internationalised name of the category of the resource
	 * 
	 * @param category
	 *            the internationalised name of the category of the resource
	 */
	public void setCategory( String category )
	{
		this.category = category;
	}


	/** @return the internationalised description of the resource */
	public String getDescription( )
	{
		return this.description;
	}


	/**
	 * Set the internationalised description of the resource
	 * 
	 * @param description
	 *            the internationalised description of the resource
	 */
	public void setDescription( String description )
	{
		this.description = description;
	}

}
