package com.deepclone.lw.cmd.player.gdata;


import java.io.Serializable;



public class GameTime
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	private final int years;
	private final int weeks;
	private final int days;
	private final int hours;


	public GameTime( long time )
	{
		if ( time <= 0 ) {
			this.hours = this.days = this.weeks = this.years = 0;
		} else {
			this.hours = (int) ( time % 24 );
			time = ( time - this.hours ) / 24;
			this.days = (int) ( time % 7 );
			time = ( time - this.days ) / 7;
			this.weeks = (int) ( time % 52 );
			this.years = (int) ( ( time - this.weeks ) / 52 );
		}
	}


	public int getYears( )
	{
		return years;
	}


	public int getWeeks( )
	{
		return weeks;
	}


	public int getDays( )
	{
		return days;
	}


	public int getHours( )
	{
		return hours;
	}

}
