package com.deepclone.lw.cmd.player.gdata.account;


import java.io.Serializable;
import java.sql.Timestamp;
import java.util.LinkedList;
import java.util.List;

import com.deepclone.lw.cmd.ext.ListLanguagesResponse;
import com.deepclone.lw.cmd.player.gdata.GameTime;



public class AccountData
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	private String address;
	private int gameCredits;

	private int vacCredits;
	private GameTime vacTime;
	private Timestamp vacStart;

	private Timestamp quitGame;

	private ListLanguagesResponse supportedLanguages;
	private String language;

	private MailChangeData mailChange;

	private List< PrefCategory > preferences = new LinkedList< PrefCategory >( );


	public String getAddress( )
	{
		return address;
	}


	public void setAddress( String address )
	{
		this.address = address;
	}


	public int getGameCredits( )
	{
		return gameCredits;
	}


	public void setGameCredits( int gameCredits )
	{
		this.gameCredits = gameCredits;
	}


	public int getVacCredits( )
	{
		return vacCredits;
	}


	public void setVacCredits( int vacCredits )
	{
		this.vacCredits = vacCredits;
	}


	public GameTime getVacTime( )
	{
		return this.vacTime;
	}


	public void setVacTime( int vacTime )
	{
		this.vacTime = ( vacTime >= 60 ) ? new GameTime( vacTime / 60 ) : null;
	}


	public Timestamp getVacStart( )
	{
		return vacStart;
	}


	public void setVacStart( Timestamp vacStart )
	{
		this.vacStart = vacStart;
	}


	public Timestamp getQuitGame( )
	{
		return quitGame;
	}


	public void setQuitGame( Timestamp quitGame )
	{
		this.quitGame = quitGame;
	}


	public ListLanguagesResponse getSupportedLanguages( )
	{
		return supportedLanguages;
	}


	public void setSupportedLanguages( ListLanguagesResponse supportedLanguages )
	{
		this.supportedLanguages = supportedLanguages;
	}


	public String getLanguage( )
	{
		return language;
	}


	public void setLanguage( String language )
	{
		this.language = language;
	}


	public MailChangeData getMailChange( )
	{
		return mailChange;
	}


	public void setMailChange( MailChangeData mailChange )
	{
		this.mailChange = mailChange;
	}


	public void addPreferenceCategory( PrefCategory cat )
	{
		this.preferences.add( cat );
	}


	public List< PrefCategory > getPreferences( )
	{
		return preferences;
	}

}
