package com.deepclone.lw.cmd.player.gdata.battles;


import java.util.Collections;
import java.util.LinkedList;
import java.util.List;



public class BattleSideShips
		extends BattleShipsList
{

	private static final long serialVersionUID = 1L;

	private final boolean hostile;
	private final List< BattlePlayerShips > players = new LinkedList< BattlePlayerShips >( );


	public BattleSideShips( boolean hostile )
	{
		this.hostile = hostile;
	}


	public boolean isHostile( )
	{
		return hostile;
	}


	public List< BattlePlayerShips > getPlayers( )
	{
		return players;
	}


	public void addPlayer( BattlePlayerShips player )
	{
		this.players.add( player );
		for ( BattleShipType pShipType : player.getShips( ) ) {
			boolean found = false;

			for ( BattleShipType shipType : this.ships ) {
				if ( shipType.compareTo( pShipType ) != 0 ) {
					continue;
				}

				shipType.add( pShipType );
				found = true;
				break;
			}

			if ( !found ) {
				this.ships.add( new BattleShipType( pShipType ) );
			}
			this.cPower += pShipType.getcPower( );
			this.lPower += pShipType.getlPower( );
		}
		Collections.sort( this.ships );
	}
}
