package com.deepclone.lw.cmd.player.gdata.fleets;


import java.util.LinkedList;
import java.util.List;

import com.deepclone.lw.cmd.player.gdata.NameIdPair;
import com.deepclone.lw.cmd.player.gdata.ShortBattleView;



public class FleetLocation
		extends NameIdPair
{

	private static final long serialVersionUID = 1L;

	private boolean own;
	private boolean attacking;
	private int x;
	private int y;
	private int orbit;
	private String tag;
	private int picture;
	private long population;
	private long defence;
	private ShortBattleView battle;
	private boolean onVacation;
	private final List< FleetOwner > fleetOwners = new LinkedList< FleetOwner >( );


	public FleetLocation( long id , String name )
	{
		super( id , name );
	}


	public boolean isOwn( )
	{
		return own;
	}


	public void setOwn( boolean own )
	{
		this.own = own;
	}


	public boolean isAttacking( )
	{
		return attacking;
	}


	public void setAttacking( boolean attacking )
	{
		this.attacking = attacking;
	}


	public int getX( )
	{
		return x;
	}


	public void setX( int x )
	{
		this.x = x;
	}


	public int getY( )
	{
		return y;
	}


	public void setY( int y )
	{
		this.y = y;
	}


	public int getOrbit( )
	{
		return orbit;
	}


	public void setOrbit( int orbit )
	{
		this.orbit = orbit;
	}


	public String getTag( )
	{
		return tag;
	}


	public void setTag( String tag )
	{
		this.tag = tag;
	}


	public int getPicture( )
	{
		return picture;
	}


	public void setPicture( int picture )
	{
		this.picture = picture;
	}


	public long getPopulation( )
	{
		return population;
	}


	public void setPopulation( long population )
	{
		this.population = population;
	}


	public long getDefence( )
	{
		return defence;
	}


	public void setDefence( long defence )
	{
		this.defence = defence;
	}


	public ShortBattleView getBattle( )
	{
		return battle;
	}


	public void setBattle( ShortBattleView battle )
	{
		this.battle = battle;
	}


	public boolean isOnVacation( )
	{
		return onVacation;
	}


	public void setOnVacation( boolean onVacation )
	{
		this.onVacation = onVacation;
	}


	public void addFleetOwner( FleetOwner fOwner )
	{
		this.fleetOwners.add( fOwner );
	}


	public List< FleetOwner > getFleetOwners( )
	{
		return fleetOwners;
	}

}
