package com.deepclone.lw.cmd.player.gdata.planets;


import java.io.Serializable;



/**
 * Information displayed about a resource provider
 * 
 * <p>
 * This class carries the information about a resource provider and associated mining priorities.
 * 
 * @author <a href="mailto:tseeker@legacyworlds.com">E. Benoît</a>
 */
public class ResourceProviderRecord
		implements Serializable
{

	/**
	 * The serialisation version identifier
	 * 
	 * <ul>
	 * <li>Introduced in B6M2 with ID 1
	 * </ul>
	 */
	private static final long serialVersionUID = 1L;

	/** The resource provider's capacity (maximal quantity of resources) */
	private long capacity;

	/** The current quantity of resources in the provider */
	private long quantity;

	/** The extraction difficulty as a percentage */
	private int difficulty;

	/** The extraction priority */
	private int priority;


	/** @return the resource provider's capacity */
	public long getCapacity( )
	{
		return this.capacity;
	}


	/**
	 * Set the resource provider's capacity
	 * 
	 * @param capacity
	 *            the resource provider's capacity
	 */
	public void setCapacity( long capacity )
	{
		this.capacity = capacity;
	}


	/** @return the resource provider's current quantity */
	public long getQuantity( )
	{
		return this.quantity;
	}


	/**
	 * Set the resource provider's current quantity
	 * 
	 * @param quantity
	 *            the resource provider's current quantity
	 */
	public void setQuantity( long quantity )
	{
		this.quantity = quantity;
	}


	/** @return the extraction difficulty */
	public int getDifficulty( )
	{
		return this.difficulty;
	}


	/**
	 * Set the extraction difficulty
	 * 
	 * @param difficulty
	 *            the extraction difficulty
	 */
	public void setDifficulty( int difficulty )
	{
		this.difficulty = difficulty;
	}


	/** @return the extraction priority */
	public int getPriority( )
	{
		return this.priority;
	}


	/**
	 * Set the extraction priority
	 * 
	 * @param priority
	 *            the extraction priority
	 */
	public void setPriority( int priority )
	{
		this.priority = priority;
	}

}
