package com.deepclone.lw.cmd.player.msgs;


import com.deepclone.lw.cmd.msgdata.Message;
import com.deepclone.lw.cmd.msgdata.MessageType;
import com.deepclone.lw.cmd.player.gdata.GamePageData;
import com.deepclone.lw.cmd.player.gdata.GameResponseBase;



public class ComposeMessageResponse
		extends GameResponseBase
{

	private static final long serialVersionUID = 1L;

	private MessageType messageType;
	private String target;
	private String title;
	private String contents;

	private final Boolean inbox;
	private final Message replyTo;

	private boolean targetError = false;
	private boolean timingError = false;
	private boolean titleError = false;
	private boolean contentsError = false;


	public ComposeMessageResponse( GamePageData page )
	{
		super( page );
		this.inbox = null;
		this.replyTo = null;
	}


	public ComposeMessageResponse( GamePageData page , boolean inbox , Message replyTo )
	{
		super( page );
		this.inbox = inbox;
		this.replyTo = replyTo;
	}


	public Boolean getInbox( )
	{
		return inbox;
	}


	public Message getReplyTo( )
	{
		return replyTo;
	}


	public MessageType getMessageType( )
	{
		return messageType;
	}


	public void setMessageType( MessageType messageType )
	{
		this.messageType = messageType;
	}


	public String getTarget( )
	{
		return target;
	}


	public void setTarget( String target )
	{
		this.target = target;
	}


	public String getTitle( )
	{
		return title;
	}


	public void setTitle( String title )
	{
		this.title = title;
	}


	public String getContents( )
	{
		return contents;
	}


	public void setContents( String contents )
	{
		this.contents = contents;
	}


	public boolean isTargetError( )
	{
		return targetError;
	}


	public void setTargetError( boolean targetError )
	{
		this.targetError = targetError;
	}


	public boolean isTimingError( )
	{
		return timingError;
	}


	public void setTimingError( boolean timingError )
	{
		this.timingError = timingError;
	}


	public boolean isTitleError( )
	{
		return titleError;
	}


	public void setTitleError( boolean titleError )
	{
		this.titleError = titleError;
	}


	public boolean isContentsError( )
	{
		return contentsError;
	}


	public void setContentsError( boolean contentsError )
	{
		this.contentsError = contentsError;
	}


	public boolean isError( )
	{
		return ( this.titleError || this.contentsError || this.targetError || this.timingError );
	}

}
