package com.deepclone.lw.cmd.player.tech;


import com.deepclone.lw.session.Command;



/**
 * Technology implementation command
 * 
 * @author <a href="mailto:tseeker@legacyworlds.com">E. Benoît</a>
 */
public class ImplementTechCommand
		extends Command
{

	/**
	 * The serialisation version identifier
	 * 
	 * <ul>
	 * <li>Introduced in B6M1 with ID 1
	 * <li>Modified in B6M2, ID set to 2
	 * </ul>
	 */
	private static final long serialVersionUID = 2L;

	/** Identifier of the technology to implement */
	private final String tech;


	/**
	 * Initialise the command
	 * 
	 * @param tech
	 *            the identifier of the technology to implement
	 */
	public ImplementTechCommand( String tech )
	{
		this.tech = tech;
	}


	/**
	 * Get the identifier of the technology to implement
	 * 
	 * @return the identifier of the technology to implement
	 */
	public String getTech( )
	{
		return this.tech;
	}

}
