package com.deepclone.lw.session;


public abstract class SessionException
		extends Exception
{

	private static final long serialVersionUID = 1L;

	private boolean keepSession;


	public SessionException( boolean keep )
	{
		this.keepSession = keep;
	}


	public SessionException( boolean keep , String message )
	{
		super( message );
		this.keepSession = keep;
	}


	public SessionException( boolean keep , Throwable cause )
	{
		super( cause );
		this.keepSession = keep;
	}


	public SessionException( boolean keep , String message , Throwable cause )
	{
		super( message , cause );
		this.keepSession = keep;
	}


	public final boolean isSessionKept( )
	{
		return this.keepSession;
	}
}
