package com.deepclone.lw.cmd.player.gdata;


import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNull;

import org.junit.Before;
import org.junit.Test;



/**
 * Tests of the {@link AbstractResourceRecord} class
 * 
 * @author <a href="mailto:tseeker@legacyworlds.com">E. Benoît</a>
 */
public class TestAbstractResourceRecord
{
	/** String used in tests */
	private static final String TEST_STRING = "Test";

	/** Class used in the tests */
	@SuppressWarnings( "serial" )
	private static class FakeChild
			extends AbstractResourceRecord
	{
		// EMPTY
	}

	/** Guinea pig instance */
	private FakeChild resource;


	/** Create the "guinea pig" instance */
	@Before
	public void setUp( )
	{
		this.resource = new FakeChild( );
	}


	/** Test default values */
	@Test
	public void testDefaults( )
	{
		assertNull( this.resource.getIdentifier( ) );
		assertNull( this.resource.getCategory( ) );
		assertNull( this.resource.getTitle( ) );
		assertNull( this.resource.getDescription( ) );
	}


	/** Test setting and reading the identifier */
	@Test
	public void testIdentifier( )
	{
		this.resource.setIdentifier( TEST_STRING );
		assertEquals( TEST_STRING , this.resource.getIdentifier( ) );
	}


	/** Test setting and reading the category */
	@Test
	public void testCategory( )
	{
		this.resource.setCategory( TEST_STRING );
		assertEquals( TEST_STRING , this.resource.getCategory( ) );
	}


	/** Test setting and reading the title */
	@Test
	public void testTitle( )
	{
		this.resource.setTitle( TEST_STRING );
		assertEquals( TEST_STRING , this.resource.getTitle( ) );
	}


	/** Test setting and reading the description */
	@Test
	public void testDescription( )
	{
		this.resource.setDescription( TEST_STRING );
		assertEquals( TEST_STRING , this.resource.getDescription( ) );
	}

}
