package com.deepclone.lw.cmd.player.gdata.planets;


import static org.junit.Assert.*;

import org.junit.Before;
import org.junit.Test;



/**
 * Tests for the {@link PlanetResourceRecord} class.
 * 
 * @author <a href="mailto:tseeker@legacyworlds.com">E. Benoît</a>
 */
public class TestPlanetResourceRecord
{
	/** Long integer used in tests */
	private static final long TEST_LONG = 42L;

	/** Resource data instance to test on */
	private PlanetResourceRecord resourceData;


	/** Create the "guinea pig" instance */
	@Before
	public void setUp( )
	{
		this.resourceData = new PlanetResourceRecord( );
	}


	/** Test default values */
	@Test
	public void testDefaults( )
	{
		assertEquals( 0L , this.resourceData.getIncome( ) );
		assertEquals( 0L , this.resourceData.getUpkeep( ) );
		assertEquals( 0L , this.resourceData.getInvested( ) );
		assertNull( this.resourceData.getResourceProvider( ) );
	}


	/** Test setting and reading the income */
	@Test
	public void testIncome( )
	{
		this.resourceData.setIncome( TEST_LONG );
		assertEquals( TEST_LONG , this.resourceData.getIncome( ) );
	}


	/** Test setting and reading the upkeep */
	@Test
	public void testUpkeep( )
	{
		this.resourceData.setUpkeep( TEST_LONG );
		assertEquals( TEST_LONG , this.resourceData.getUpkeep( ) );
	}


	/** Test setting and reading the invested amount */
	@Test
	public void testInvested( )
	{
		this.resourceData.setInvested( TEST_LONG );
		assertEquals( TEST_LONG , this.resourceData.getInvested( ) );
	}


	/** Test setting and reading the resource provider */
	@Test
	public void testResourceProvider( )
	{
		ResourceProviderRecord rpd = new ResourceProviderRecord( );
		rpd.setCapacity( TEST_LONG );
		this.resourceData.setResourceProvider( rpd );
		rpd = this.resourceData.getResourceProvider( );
		assertNotNull( rpd );
		assertEquals( TEST_LONG , rpd.getCapacity( ) );
	}
}
