<#macro page title>
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
	<head>
		<title>LW Beta 6 <@version/> Administration - ${title?xhtml}</title>
		<link rel="stylesheet" type="text/css" href="css/main.css" />
	</head>
	<body>
		<div class="page-header">
			<h1>Legacy Worlds administration interface</h1>
			<h3><@full_version /></h3>
			<h2>${title?xhtml}</h2>
		</div>

		<div class="page-full">
			<div class="side-bar">
				<div class="admin">${data.admin.name?xhtml}</div>
				<#if !data.admin.passwordChange>
					<a href="main">Overview</a>
					<p>&nbsp;</p>

					<#local admin = data.admin>
					<a href="messages">Messages</a>
					<#if admin.canSpam>
						<a href="send-spam">Send spam</a>
					</#if>
					<#if admin.userAdmin>
						<a href="users">Users</a>
					</#if>
					<#if admin.banhammerUser>
						<a href="bans">Banhammer</a>
					</#if>
					<#if admin.nameAdmin>
						<a href="names">Names</a>
					</#if>
					<#if admin.bugTrackerAdmin>
						<a href="btracker">Bug tracker</a>
					</#if>
					<#if admin.translator>
						<a href="i18n">Translations</a>
					</#if>
					<#if admin.prefAdmin>
						<a href="prefs">Default preferences</a>
					</#if>
					<#if admin.constantsAdmin>
						<a href="constants">Constants</a>
					</#if>
					<#if admin.tickAdmin>
						<a href="ticker">Ticker</a>
					</#if>
					<#if admin.maintenanceAdmin>
						<a href="maintenance">Maintenance mode</a>
					</#if>
					<#if admin.canViewLogs>
						<a href="logs">Logs</a>
					</#if>

					<#if admin.superuser>
						<a href="admins">Administrators</a>
					</#if>
					<p>&nbsp;</p>
				</#if>
				<a href="logout.action">Log out</a>
			</div>
			<div class="page-contents">
				<#nested>
			</div>
		</div>
	</body>
</html>
</#macro>