<#macro render_privs>
	<#if data.privileges?has_content>
		<#local source = data.privileges>
		<#local useSource = true>
	<#else>
		<#local source = data.admin.allPrivileges>
		<#local useSource = false>
	</#if>
	<tr class="form-field">
		<th>Privileges:</th>
		<td>
			<#list source as privilege>
				<#if useSource>
					<#local value = privilege.present>
				<#else>
					<#local value = false>
				</#if>
				<input class="input" type="checkbox" name="privileges" value="${privilege.privilege}" id="priv-${privilege.privilege}" <#if value>checked="checked"</#if> />
				<label for="priv-${privilege.privilege}"><abbr title="${privilege.privilege.description?xhtml}">${privilege.privilege}</abbr></label>
			</#list>
		</td>
	</tr>
</#macro>
<@page title="Add administrator">
	<@form action="add-admin">

		<#switch data.addressError!>
			<#case 'EMPTY'>
				<@form_error>Please specify the user's address.</@form_error>
				<#break>
			<#case 'INVALID'>
				<@form_error>Invalid address.</@form_error>
				<#break>
			<#case 'NOT_FOUND'>
				<@form_error>User not found.</@form_error>
				<#break>
			<#case 'STATUS'>
				<@form_error>Invalid user status (banned or unconfirmed).</@form_error>
				<#break>
			<#case 'ALREADY_ADMIN'>
				<@form_error>This user is already an administrator.</@form_error>
				<#break>
		</#switch>
		<@form_text label="E-mail address" name="address" value=data.address! />

		<#switch data.nameError!>
			<#case 'EMPTY'>
				<@form_error>Please specify a name.</@form_error>
				<#break>
			<#case 'INVALID'>
				<@form_error>Invalid name.</@form_error>
				<#break>
			<#case 'UNAVAILABLE'>
				<@form_error>This name is already in use.</@form_error>
				<#break>
		</#switch>
		<@form_text label="Administrator name" name="name" value=data.name! />
		
		<#-- Privs -->
		<#if data.privError!false>
			<@form_error>Please select the new administrator's privileges.</@form_error>
		</#if>
		<@render_privs />
		
		<@form_submit label="Add administrator" />

	</@form>
</@page>