<#macro render_admin admin>
	<#if admin.id = data.admin.id>
		<#local begin = "<strong>">
		<#local end = "</strong>">
	<#elseif admin.privileges?size = 0>
		<#local begin = "<em>">
		<#local end = "</em>">
	</#if>

	<@lv_line>
		<@lv_column><a href="admin-${admin.id}">${begin!}${admin.name?xhtml}${end!}</a></@lv_column>
		<@lv_column>
			<#if admin.address?has_content>
				${begin!}${admin.address?xhtml}${end!}
			<#else>
				${begin!}N/A${end!}
			</#if>
		</@lv_column>
		<@lv_column>
			<#if admin.privileges?size gt 0>
				<#list admin.privileges as priv>
					<abbr title="${priv.description?xhtml}">${priv}</abbr>
				</#list>
			<#else>
				(inactive)
			</#if>
		</@lv_column>
	</@lv_line>

</#macro>
<@page title="Administrators">
	<@listview>
		<@lv_line headers=true>
			<@lv_column width=300>Name</@lv_column>
			<@lv_column width=300>Address</@lv_column>
			<@lv_column width="x">Privileges</@lv_column>
		</@lv_line>
		<#list data.administrators as admin>
			<@render_admin admin=admin />
		</#list>
	</@listview>
	<p><a href="add-admin">Add administrator</a></p>
</@page>