<#macro render_string str>
	<tr id="str-${str.id}">
		<th style="text-align:right;vertical-align:top">${str.id}</th>
		<td>
			<#if (data.edited!"") == str.id>
				<div class="form-error">Empty strings are not allowed</div>
			</#if> 
			<form action="i18n-${data.language.id}-set-string.action#str-${str.id}" method="post">
				<div>
					<input type="hidden" name="string" value="${str.id}" />
					<textarea class="input" rows="10" columns="80" name="value" style="height:auto;width:600px">${str.text?xhtml}</textarea>
					<br/>
					<input type="submit" value="Modify string" />
				</div>
			</form>
		</td>
	</tr>
</#macro>
<@page title="Language '${data.language.name}'">

	<h1>Change language name</h1>
	<@form action="i18n-${data.language.id}-edit">
		<#if data.nameError!false>
			<@form_error>Invalid name</@form_error>
		</#if>
		<@form_text name="name" label="New name" value=data.language.name! />
		<@form_submit label="Change name" />
	</@form>
	
	<h1>Translations</h1>
	<table>
		<#list data.strings as str>
			<@render_string str=str />
		</#list>
	</table>

</@page>