<@page title="Log entry #${data.entry.id?string(',##0')}">
	<h1>Basics</h1>
	<@dt_main>
		<@dt_entry title="Date">${data.entry.timestamp?string("yyyy-MM-dd")}</@dt_entry>
		<@dt_entry title="Time">${data.entry.timestamp?string("HH:mm:ss")}</@dt_entry>
		<@dt_entry title="Log level">${data.entry.level}</@dt_entry>
		<@dt_entry title="Component">${data.entry.about?xhtml}</@dt_entry>
		<@dt_entry title="Message">${data.entry.entry?xhtml}</@dt_entry>
	</@dt_main>
	<p>&nbsp;</p>
	
	<#if data.exceptions?size gt 0>
		<h1>Exception log</h1>
		<table>
			<#list data.exceptions as exc>
				<tr>
					<td colspan="2">
						<strong>${exc.className?xhtml}</strong>
						<#if exc.message?has_content>: ${exc.message?xhtml}</#if>
					</td>
				</tr>
				<#list exc.trace as stEntry>
					<tr>
						<td style="width: 150px">&nbsp;</td>
						<td>
							In
							<#if stEntry.location?has_content>
								<strong>${stEntry.location?xhtml}</strong>
							<#else>
								???
							</#if>
							<#if stEntry.fileName?has_content>
								(in file <em>${stEntry.fileName?xhtml}</em><#if stEntry.line?has_content> at line ${stEntry.line?string(",##0")}</#if>)
							</#if>
						</td>
					</tr>
				</#list>
			</#list>
		</table>
	</#if>
</@page>