<@page title="Logs viewer">
	<h1>Log entries</h1>
	<table style="width:95%; margin: 10px 0 10px 2%">
		<tr>
			<td style="width: 50px;text-align:right">
				<#if data.params.first = 0>
					&lt;&lt;
				<#else>
					<#if data.params.first gt 30>
						<a href="logs?logType=${data.params.type?url}&amp;logLevel=${data.params.level?url}&amp;component=${(data.params.component!"")?url}&amp;excOnly=<#if data.params.excOnly!false>1<#else>0</#if>&amp;first=${data.params.first - 30 }">
					<#else>
						<a href="logs?logType=${data.params.type?url}&amp;logLevel=${data.params.level?url}&amp;component=${(data.params.component!"")?url}&amp;excOnly=<#if data.params.excOnly!false>1<#else>0</#if>&amp;first=0">
					</#if>
					&lt;&lt;</a>
				</#if>
			</td>
			<td style="text-align:center">
				<#if data.count = 0>
					No entries found.
				<#else>
					${data.count?string(",##0")} entries
				</#if>
			</td>
			<td style="width: 50px;text-align:left">
				<#if (data.params.first + 30) gt data.count>
					&gt;&gt;
				<#else>
					<a href="logs?logType=${data.params.type?url}&amp;logLevel=${data.params.level?url}&amp;component=${(data.params.component!"")?url}&amp;excOnly=<#if data.params.excOnly!false>1<#else>0</#if>&amp;first=${data.params.first + 30 }">
					&gt;&gt;</a>
				</#if>
			</td>
		</tr>
	</table>
	<#if data.count gt 0>
		<table class="list-view" style="width:95%; margin: 0 0 20px 2%" >
		
			<@lv_line headers=true>
				<@lv_column width=60 centered=true>Date</@lv_column>
				<@lv_column width=60 centered=true>Time</@lv_column>
				<@lv_column width=60 centered=true>Log level</@lv_column>
				<@lv_column width=200 centered=true>
					<#if data.params.type = "SYSTEM">
						Component
					<#else>
						User
					</#if>
				</@lv_column>
				<@lv_column width="x">Message</@lv_column>
				<@lv_column width=50>&nbsp;</@lv_column>
			</@lv_line>

			<#list data.entries as entry>
				<@lv_line class="log-entry-${entry.level?lower_case}">
					<@lv_column centered=true>${entry.timestamp?string("yyyy-MM-dd")}</@lv_column>
					<@lv_column centered=true>${entry.timestamp?string("HH:mm:ss")}</@lv_column>
					<@lv_column centered=true>${entry.level}</@lv_column>
					<@lv_column centered=true>${entry.about?xhtml}</@lv_column>
					<@lv_column>${entry.entry?xhtml}</@lv_column>
					<@lv_column>
						<#if entry.exception?has_content>
							<a href="view-log-entry-${entry.id}">Details</a>
						<#else>
							&nbsp;
						</#if>
					</@lv_column>
				</@lv_line>
			</#list> 

		</table>
	</#if>

	<h1>Search parameters</h1>
	<div class="form-container">
		<form action="logs" method="get">
			<table>

				<@form_select name="logType" label="Log type">
					<@form_option value="SYSTEM" selected=((data.params.type!"") = "SYSTEM")>system log</@form_option>
					<@form_option value="ADMIN" selected=((data.params.type!"") = "ADMIN")>administrative actions</@form_option>
					<@form_option value="PLAYER" selected=((data.params.type!"") = "PLAYER")>player actions</@form_option>
				</@form_select>

				<@form_select name="logLevel" label="Minimal log level">
					<@form_option value="TRACE" selected=((data.params.level!"") = "TRACE")>TRACE</@form_option>
					<@form_option value="DEBUG" selected=((data.params.level!"") = "DEBUG")>DEBUG</@form_option>
					<@form_option value="INFO" selected=((data.params.level!"") = "INFO")>INFO</@form_option>
					<@form_option value="WARNING" selected=((data.params.level!"") = "WARNING")>WARNING</@form_option>
					<@form_option value="ERROR" selected=((data.params.level!"") = "ERROR")>ERROR</@form_option>
				</@form_select>

				<@form_text label="Component / user" name="component" value=data.params.component! />

				<@form_select name="excOnly" label="Only entries with exceptions">
					<@form_option value="0" selected=!( data.params.excOnly!false)>no</@form_option>
					<@form_option value="1" selected=data.params.excOnly!false>yes</@form_option>
				</@form_select>
				
				<@form_submit label="Search"/>
			</table>
		</form>
	</div>

</@page>