<#macro render_preference pref>
	<div class="form-container">
		<form action="prefs.action#ff-pref-${pref.id}" method="post">
			<table>
				<tr class="form-field">
					<th style="width: 180px">Preference name:</th>
					<td>
						<strong>${pref.name?xhtml}</strong>
						<input type="hidden" name="pref" value="${pref.id?xhtml}" />
					</td>
				</tr>
				<#switch pref.type>
					<#case 'BOOLEAN'>
						<@form_select label="Default value" name="value" id="pref-${pref.id}">
							<@form_option value="0" text="No" selected=( pref.value != "1" )/>
							<@form_option value="1" text="Yes" selected=( pref.value == "1" )/>
						</@form_select>
						<#break>
					<#case 'INTEGER'>
					<#case 'STRING'>
						<@form_text label="Default value" name="value" id="pref-${pref.id}" value=pref.value />
						<#break>
					<#case 'CHOICE'>
						<@form_select label="Default value" name="value" id="pref-${pref.id}">
							<#list pref.choices as choice>
								<@form_option value=choice.value text=choice.display selected=( pref.value == choice.value )/>
							</#list>
						</@form_select>
						<#break>
				</#switch>
				<#if pref.description?has_content>
					<tr class="form-field">
						<th>Description:</th>
						<td>${pref.description?xhtml}</td>
					</tr>
				</#if>
				<@form_submit label="Update default value" />
			</table>
		</form>
		<p>&nbsp;</p>
	</div>
</#macro>
<#macro render_prefs_category category>
	<h1>${category.name?xhtml}</h1>
	<#list category.preferences as p>
		<@render_preference pref=p />
	</#list>
</#macro>
<@page title="Default preferences">
	<#list data.preferences as c>
		<@render_prefs_category category=c />
	</#list>
</@page>