<#assign accnt = data.account>
<@page title="User #${accnt.id?string(',##0')} - ${accnt.address}">
	<@dt_main>

		<@dt_entry title="User ID">${accnt.id?string(',##0')}</@dt_entry>
		<@dt_entry title="E-mail address">${accnt.address?xhtml}</@dt_entry>
		<@dt_entry title="Language code">${accnt.language}</@dt_entry>
		
		<@dt_blank />
		
		<@dt_entry title="Current status"><a href="users-by-status?status=${accnt.status?url}">${accnt.status.description?xhtml}</a></@dt_entry>
		<#if accnt.statusStart?has_content>
			<@dt_entry title="Since / Starting from">${accnt.statusStart?string("yyyy-MM-dd HH:mm:ss")}</@dt_entry>
		</#if>
		<#if accnt.inactivityReason?has_content>
			<@dt_entry title="Reason">${accnt.inactivityReason?xhtml}</@dt_entry>
		</#if>
		<#if accnt.ban?has_content>
			<#assign be = accnt.ban>
			<@dt_entry title="Requested by"><a href="msg-admin-${be.requestedById}">${be.requestedByName?xhtml}</a></@dt_entry>
			<@dt_entry title="Confirmed by"><a href="msg-admin-${be.confirmedById}">${be.confirmedByName?xhtml}</a></@dt_entry>
		</#if>
		<@dt_entry title="Warnings received">${accnt.warnings}</@dt_entry>
		<#if accnt.warnings gt 0>
			<@dt_entry title="Last warning">${accnt.lastWarning?string("yyyy-MM-dd HH:mm:ss")}</@dt_entry>
		</#if>

		<@dt_blank />

		<#if accnt.online>
			<@dt_entry title="">CURRENTLY ONLINE</@dt_entry>
		</#if>
		<@dt_entry title=""><a href="user-${accnt.id}-sessions">View sessions</a></@dt_entry>
		
		<@dt_blank />
		
		<@dt_entry title="Vacation credits">${accnt.vacationCredits?string(",##0")}</@dt_entry>
		<@dt_entry title="Game credits">${accnt.gameCredits?string(",##0")}</@dt_entry>
		<@dt_entry title="">
			<form action="user-${accnt.id}.action" method="post">
				Grant this user <@ff_text name="credits" id="credits" value=1 /> credit(s)
				<@ff_submit label="Go" />
			</form>
		</@dt_entry>

		<@dt_blank />
		
		<#if accnt.currentEmpire?has_content>
			<@dt_entry title="Currently playing as"><a href="msg-empire-${accnt.empireId}">${accnt.currentEmpire?xhtml}</a></@dt_entry>
		</#if>
		<#if accnt.empireNames?size gt 0>
			<@dt_entry title="All empire names">
				<#list accnt.empireNames as name>${name?xhtml}<br/></#list>
			</@dt_entry>
		</#if>

	</@dt_main>
</@page>