<#if data.status?has_content>
	<#assign pTitle= "Users with status '${data.status.description}'">
</#if>
<@page title=pTitle!"Users">
	<form action="users-by-status" method="get">
		<p>
			Display
			<@ff_select name="online" id="online">
				<@form_option value="0">all</@form_option>
				<@form_option value="1" selected=data.online!false>online</@form_option>
			</@ff_select>
			users that have the following status:
			<@ff_select name="status" id="status">
				<@form_option value="x" selected=!(data.status?has_content)>(all users)</@form_option>
				<#list data.allStatuses as st>
					<@form_option value=st selected=((data.status!"") = st)>${st.description}</@form_option>
				</#list>
			</@ff_select>
			<@ff_submit label="Filter" />
		</p>
	</form>

	<#if data.entries?size gt 0>
		<p>${data.entries?size} account(s) found.</p>	
		<@listview>
	
			<@lv_line headers=true>
				<@lv_column width=40>&nbsp;</@lv_column>
				<@lv_column width=250>E-mail address</@lv_column>
				<@lv_column width=250>Current empire</@lv_column>
				<@lv_column width=100 centered=true>Status</@lv_column>
				<@lv_column width=100 centered=true>Language</@lv_column>
			</@lv_line>
	
			<#list data.entries as entry>
				<@lv_line>
					<@lv_column>&nbsp;</@lv_column>
					<@lv_column><a href="user-${entry.id}">${entry.address?xhtml}</a></@lv_column>
					<@lv_column><#if entry.currentEmpire?has_content>${entry.currentEmpire?xhtml}<#else><em>N/A</em></#if></@lv_column>
					<@lv_column centered=true>${entry.status.description?xhtml}</@lv_column>
					<@lv_column centered=true>${entry.language}</@lv_column>
				</@lv_line>
			</#list>

		</@listview>
	<#else>
		<p>No accounts found</p>
	</#if>
</@page>