package com.deepclone.lw.web.admin;


import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.web.servlet.HandlerExceptionResolver;
import org.springframework.web.servlet.ModelAndView;

import com.deepclone.lw.session.SessionCommandException;
import com.deepclone.lw.session.SessionIdentifierException;
import com.deepclone.lw.web.beans.session.SessionServerException;



public class ErrorHandlerBean
		implements HandlerExceptionResolver
{

	@Override
	public ModelAndView resolveException( HttpServletRequest request , HttpServletResponse response , Object handler ,
			Exception ex )
	{
		if ( ex instanceof SessionServerException ) {
			return this.offline( request );
		} else if ( ex instanceof SessionIdentifierException || ex instanceof SessionCommandException ) {
			return new ModelAndView( "redirect:admin-session" );
		}

		// Other exceptions are not handled
		return null;
	}


	private ModelAndView offline( HttpServletRequest request )
	{
		ModelAndView mav = new ModelAndView( "ROOT" );
		mav.addObject( "container" , "external" );
		mav.addObject( "language" , "en" );
		mav.addObject( "type" , "offline" );
		return mav;
	}

}
