package com.deepclone.lw.web.admin;


import javax.servlet.http.HttpServletRequest;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import com.deepclone.lw.cmd.admin.SetPasswordResponse;
import com.deepclone.lw.cmd.admin.SetPasswordResponse.PasswordChangeStatus;
import com.deepclone.lw.session.SessionException;
import com.deepclone.lw.web.beans.intercept.SessionRequirement;
import com.deepclone.lw.web.beans.session.SessionMaintenanceException;
import com.deepclone.lw.web.beans.session.SessionServerException;
import com.deepclone.lw.web.beans.view.PageControllerBase;
import com.deepclone.lw.web.csess.AdminSession;



@Controller
@SessionRequirement( value = true , redirectTo = "login" )
public class PasswordPages
		extends PageControllerBase
{

	@RequestMapping( "/change-password" )
	public String changePassword( HttpServletRequest request , Model model )
			throws SessionException , SessionServerException , SessionMaintenanceException
	{
		AdminSession aSession = this.getSession( AdminSession.class , request );
		return this.render( model , "internal" , "en" , "changePassword" , aSession.noOp( ) );
	}


	@RequestMapping( value = "/change-password.action" , method = RequestMethod.POST )
	public String changePassword( HttpServletRequest request , Model model , @RequestParam( "current" ) String current ,
			@RequestParam( "password" ) String pass1 , @RequestParam( "passwordConfirm" ) String pass2 )
			throws SessionException , SessionServerException , SessionMaintenanceException
	{
		AdminSession aSession = this.getSession( AdminSession.class , request );
		SetPasswordResponse response = aSession.changePassword( current , pass1 , pass2 );
		if ( !response.isAuthError( ) && response.getPasswordError( ) == PasswordChangeStatus.OK ) {
			return this.redirect( "admin-session" );
		}

		return this.render( model , "internal" , "en" , "changePassword" , response );
	}
}
