package com.deepclone.lw.web.admin;


import java.util.HashMap;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import com.deepclone.lw.cmd.admin.AdminResponse;
import com.deepclone.lw.cmd.admin.adata.Privileges;
import com.deepclone.lw.session.SessionException;
import com.deepclone.lw.web.beans.intercept.SessionRequirement;
import com.deepclone.lw.web.beans.msgs.MessageFormatter;
import com.deepclone.lw.web.beans.session.SessionMaintenanceException;
import com.deepclone.lw.web.beans.session.SessionServerException;
import com.deepclone.lw.web.beans.view.PageControllerBase;
import com.deepclone.lw.web.csess.AdminSession;



@Controller
@SessionRequirement( value = true , redirectTo = "admin-session" , subType = "main" )
public class SpamPages
		extends PageControllerBase
{

	private MessageFormatter formatter;


	@Autowired( required = true )
	public void setFormatter( MessageFormatter formatter )
	{
		this.formatter = formatter;
	}


	@RequestMapping( "/send-spam" )
	public String sendSpam( HttpServletRequest request , Model model )
			throws SessionException , SessionServerException , SessionMaintenanceException
	{
		AdminResponse response = this.getSession( AdminSession.class , request ).noOp( Privileges.SPAM );
		if ( !response.isPrivilegeOk( ) ) {
			return this.redirect( "main" );
		}

		return this.render( model , "internal" , "en" , "spam" , response );
	}


	@RequestMapping( value = "/send-spam.action" , method = RequestMethod.POST )
	public String sendSpam( HttpServletRequest request , Model model , @RequestParam( "title" ) String title ,
			@RequestParam( "body" ) String body , @RequestParam( value = "preview" , required = false ) String preview )
			throws SessionException , SessionServerException , SessionMaintenanceException
	{
		boolean tError , bError;
		title = title.trim( );
		body = body.trim( );
		tError = ( title.length( ) < 5 || title.length( ) > 64 );
		bError = ( body.length( ) < 10 );

		AdminResponse response;
		if ( ( tError || bError || preview != null ) ) {
			response = this.getSession( AdminSession.class , request ).noOp( Privileges.SPAM );
			if ( !response.isPrivilegeOk( ) ) {
				return this.redirect( "main" );
			}
		} else {
			this.getSession( AdminSession.class , request ).sendSpam( title , body );
			return this.redirect( "send-spam" );
		}

		Map< String , Object > data = new HashMap< String , Object >( );
		data.put( "admin" , response.getAdmin( ) );
		data.put( "title" , title );
		data.put( "body" , body );
		data.put( "preview" , this.formatter.formatMessage( body , false ) );
		data.put( "titleError" , (Boolean) tError );
		data.put( "bodyError" , (Boolean) bError );

		return this.render( model , "internal" , "en" , "spam" , data );
	}
}
