package com.deepclone.lw.web.csess;


import com.deepclone.lw.cmd.ext.*;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.SessionException;
import com.deepclone.lw.web.beans.session.Session;
import com.deepclone.lw.web.beans.session.SessionMaintenanceException;
import com.deepclone.lw.web.beans.session.SessionServerException;
import com.deepclone.lw.web.beans.session.SessionType;



@SessionType( "ext" )
public class ExternalSession
		extends Session
{

	public ListLanguagesResponse listLanguages( )
			throws SessionServerException , SessionMaintenanceException
	{
		Command ll = new ListLanguagesCommand( );
		try {
			return (ListLanguagesResponse) this.execute( ll );
		} catch ( SessionException se ) {
			throw new RuntimeException( se );
		}
	}


	public CreateAccountResponse createAccount( String mail , String mailConfirm , String password ,
			String passwordConfirm , String language )
			throws SessionServerException , SessionMaintenanceException
	{
		Command command = new CreateAccountCommand( mail , mailConfirm , password , passwordConfirm , language );
		try {
			return (CreateAccountResponse) this.execute( command );
		} catch ( SessionException se ) {
			throw new RuntimeException( se );
		}
	}


	public RequestPasswordRecoveryResponse requestPasswordRecovery( String mail )
			throws SessionServerException , SessionMaintenanceException
	{
		Command command = new RequestPasswordRecoveryCommand( mail );
		try {
			return (RequestPasswordRecoveryResponse) this.execute( command );
		} catch ( SessionException se ) {
			throw new RuntimeException( se );
		}
	}


	public ConfirmPasswordRecoveryResponse confirmPasswordRecovery( String mail , String token , String password ,
			String passwordConfirm )
			throws SessionServerException , SessionMaintenanceException
	{
		Command command = new ConfirmPasswordRecoveryCommand( mail , token , password , passwordConfirm );
		try {
			return (ConfirmPasswordRecoveryResponse) this.execute( command );
		} catch ( SessionException se ) {
			throw new RuntimeException( se );
		}
	}

}
