<@page title="Rules of the game">
	<h3>General</h3>
	<p>
		The whole game is based on per-minute updates. Because these updates are computed depending on when the game
		server was started, they may happen at any time.
	</p>
	<p>
		Because of this, a <em>game time</em> is provided. It corresponds to the amount of updates that were computed.
		One "hour" of game time corresponds to an update and, generally speaking, a minute of real-world time.
	</p>
	<p>
		No real attempts at balancing the game were made. It is therefore quite likely that some aspects of the rules
		will not work as expected.
	</p>
	<p>&nbsp;</p>

	<h3>Money &amp; research</h3>
	<p>
		Income is mostly provided by an empire's population. While income and upkeep are displayed for 24h of real-world time,
		an empire's cash reserve will increase (or decrease) continuously. The optional <em>Generic assembly line</em> building
		provides additional income.
	</p>
	<p>
		Populations also generate research points, which are used to update an empire's research progress. When a
		technology reaches 100% of its required research points, it needs to be <em>implemented</em>, which costs
		money.
	</p>
	<p>
		Two sets of three technologies are available: <em>civilian technologies</em> provide new buildings, while
		<em>military technologies</em> provide new ships.
	</p>
	<p>
		If an empire's cash reserve reach 0 because of a high upkeep, its fleets will begin to degrade. If it does not
		own any fleets, then its planet's buildings start to degrade.
	</p>
	<p>
		It is however possible for an empire to reach 0 because of buildings and ships construction. In this case,
		no damage will be inflicted, but construction will be slowed down.
	</p>
	<p>&nbsp;</p>

	<h3>Planet management</h3>
	<p>
		Two types of buildings are available without any technology: <em>ship parts factories</em> (which allow ships to be built)
		and <em>defence turrets</em> (which provide stationary defences to your planets).
	</p>
	<p>
		Buildings construction or destruction are not immediate. The speed at which buildings are constructed or destroyed
		depend on a planet's population. When building, the monetary cost of buildings is taken from the empire's reserves
		at every update.
	</p>
	<p>
		Destroying buildings is much faster than constructing them; in addition, a small proportion of the building's cost
		is added back to the empire's cash reserves once the building is destroyed.
	</p>
	<p>
		A planet's happiness is determined by three factors: the amount of jobs provided by the planet's buildings relative
		to the planet's population, the stationary defences' power and the amount of planets owned by the empire.
	</p>
	<p>
		Happiness does not change immediately when something affects it. The change is progressive, and its speed depend
		on its amplitude and on the planet's total population.
	</p>
	<p>
		When a planet's happiness is below 25%, its citizen go on strike, which reduces the planet's income, production and
		defences.
	</p>
	<p>
		Population growth is directly proportional to the planet's happiness.
	</p>
	<p>&nbsp;</p>

	<h3>Fleets and ships</h3>
	<p>
		Ships are constructed on planets using the same principle as buildings. However, their construction speed is determined
		by the planet's military production.
	</p>
	<p>
		Ships have two characteristics: their <em>power</em>, which determine how effective they are in battle, and their
		<em>orbit-to-orbit flight time</em>, which determines their speed and the various penalties which may be inflicted
		on a fleet (redirection, redeployment, etc).
	</p>
	<p>
		A fleet's power is the sum of each of its ships' power. Its orbit-to-orbit flight time is determined by the slowest
		ship in the fleet.
	</p>
	<p>
		Only fleets that have the <em>available</em> status may be moved, split, or merged. In addition, fleets that have
		the <em>deploying</em> status do not inflict damage in battle (they do however receive damage). All fleets may be
		renamed, disbanded, or switched between offensive and defensive modes, whatever their status is.
	</p>
	<p>&nbsp;</p>

	<h3>Battles</h3>
	<p>
		A battle starts whenever an attacking fleet is present on a planet, and end when all attacking fleets are gone / have
		been destroyed, or when all defensive fleets and planetary defences are gone / have been destroyed. In the latter case,
		the attacker with the biggest fleet takes control of the planet at the next update.
	</p>
	<p>
		Battles are updated every minute. Therefore, there are no "battle reports"; instead, a history of the battle and
		the events that occured during the battle are provided.
	</p>
	<p>
		A battle's intensity starts at a low level, slowly increasing over time until it reaches full intensity. It determines how
		much damage is dealt.
	</p>
	<p>
		Battle damage on both buildings and ships accumulates over time. It is not possible to repair ships or buildings.
	</p>
	<p>&nbsp;</p>

</@page>