<@page title="Scope of this milestone">
	<p>
		This milestone consists mostly in writing the game's engine and most of the common
		administrative functionalities. Because of this, the <a href="rules">game</a> itself
		is pretty limited, and so is the interface. 
	</p>
	<p>&nbsp;</p>

	<h3>Game server</h3>
	<p>
		The stand-alone game server runs independently of any interface and is responsible for
		all administrative and game functionalities. This release concentrates on:
	</p>
	<ul>
		<li><strong>system basics</strong> - logging, run-time access to game-related "constants",
			internationalisation, communications with user interfaces,</li>
		<li><strong>accounts</strong> - from registration to preferences to inactivity management,</li>
		<li><strong>naming system</strong> - the names of all in-game entities (empires and planets
			in this release) are managed through the same sub-system,</li>
		<li><strong>bug tracking system</strong> - because it will not be possible to include forums
			until much further in the game's development cycle, the bug-tracking system is an essential
			tool,</li>
		<li><strong>scheduler</strong> - because ticks still need to run, sometimes.</li>
	</ul>
	<p>&nbsp;</p>

	<h3>Server administration</h3>
	<p>
		Server administration is one of the most important areas for this release, although most
		people will (hopefully) never get to see it. It is implemented as a separate user interface
		accessing the server through its external communication interface. The administration interface
		includes:
	</p>
	<ul>
		<li><strong>privilege system</strong> (not all administrators are equal),</li>
		<li><strong>account management</strong>,</li>
		<li><strong>game parameters access</strong>,</li>
		<li><strong>bug tracker administration</strong>,</li>
		<li><strong>names validation</strong>,</li>
		<li><strong>log viewer</strong>,</li>
		<li><strong>automated error reports</strong>.</li>
	</ul>
	<p>&nbsp;</p>
	
	<h3>Game and interface</h3>
	<p>
		While the game does not bring anything really new, it is based on a per-minute update system.
		Its interface is probably not really appropriate, as Beta 5's external layout is a bit cramped
		when it comes to displaying all required in-game information; it is however temporary.
	</p>
	<p>
		This release is available in two languages - English and French - as the internationalisation
		system needs to be tested. However, it is extremely likely that future milestone releases will
		only be available in English.
	</p>
</@page>