<#macro render_battles battles page pages>
	<#if pages gt 1>
		<table style="width:100%;margin: 2px 0">
			<tr>
				<td style="width: 30px;text-align: right">
					<#if page gt 0>
						<a href="battles-${page - 1}">
					</#if>
					&lt;&lt;
					<#if page gt 0>
						</a>
					</#if>
				</td>
				<td style="text-align: center">
					Page ${page + 1} / ${pages}
				</td>
				<td style="width: 30px;text-align: left">
					<#if page lt pages - 1>
						<a href="battles-${page + 1}">
					</#if>
					&gt;&gt;
					<#if page lt pages - 1>
						</a>
					</#if>
				</td>
			</tr>
		</table>
	</#if>
	<@listview>
		<@lv_line headers=true>
			<@lv_column width=60 centered=true>#</@lv_column>
			<@lv_column width="x">Location</@lv_column>
			<@lv_column width=80 centered=true>&nbsp;</@lv_column>
			<@lv_column width=125 centered=true>Joined</@lv_column>
			<@lv_column width=125 centered=true>Finished</@lv_column>
		</@lv_line>
		<#list battles as battle>
			<@lv_line>
				<@lv_column centered=true><a href="battle-${battle.id?string('#')}-latest">${battle.id?string(',##0')}</a></@lv_column>
				<@lv_column>${battle.location.name?xhtml}</@lv_column>
				<@lv_column centered=true>(${battle.x},${battle.y};${battle.orbit})</@lv_column>
				<@lv_column centered=true><@game_time record=battle.first.gameTime /></@lv_column>
				<@lv_column centered=true>
					<#if battle.last?has_content>
						<@game_time record=battle.last.gameTime />
					<#else>
						<em>In progress</em>
					</#if>
				</@lv_column>
			</@lv_line>
		</#list>
	</@listview>
</#macro>
<#macro render>
<@page title="Battles">
	<#if data.pages == 0>
		<p>We have not taken part in any battle</p>
	<#else>
		<@render_battles battles=data.list page=data.currentPage pages=data.pages />
	</#if>
</@page>
</#macro>