<#include "bugsTabs.ftl">
<#macro render>
<#if data.query.ownOnly>
	<#local ownOnly = "1">
<#else>
	<#local ownOnly = "0">
</#if>
<#local qString = "status=${data.query.status!'x'}&amp;own=${ownOnly}" >
<@page title="Report bug">
	<@bugTabs selected="bugsReport" qString="${qString}&amp;first=${data.query.first}" />
	
	<h3 style="padding:0;text-align:center">READ THIS BEFORE REPORTING BUGS</h3>
	<p>
		So, you've found something that doesn't work or that seems to be behaving in an unexpected manner.
		Nice, that's the reason why this version has been made public.
	</p>
	<p>
		However, are you sure that what you have found is really a bug? If you'd been playing Beta 5 in
		the past, there are many things that no longer work in the same way. Make sure you've read the
		<a href="rules">rules</a> and <a href="scope">milestone information</a> first.
	</p>
	<p>
		Once you've read this documentation and haven't found any clue related to your problem, well,
		it's either a bug or something missing in these pages. In any case, it should be reported.
		Use the form below for that. Make sure the title is <strong>as clear as possible</strong>
		(it should indicate the nature of the problem) and that the description is as thorough as you
		can make it.
	</p>
	<p>
		Thanks for helping!
	</p>

	<@form action="report-bug" hash="report-form">
		<tr id="report-form" style="display:none"><td colspan="2">
			<input type="hidden" name="status" value="${(data.query.status!'x')?xhtml}" />
			<input type="hidden" name="own" value="${ownOnly}" />
			<input type="hidden" name="first" value="${data.query.first}" />
		</td></tr>

		<#switch data.titleError!"">
			<#case "EMPTY"><@form_error>Please specify the report's title</@form_error><#break>
			<#case "INVALID"><@form_error>Title should be at least 10 characters long</@form_error><#break>
		</#switch>
		<@form_text label="Title" name="title" value=data.title!"" maxLength=127 />

		<#switch data.descriptionError!"">
			<#case "EMPTY"><@form_error>Please specify the bug's description</@form_error><#break>
			<#case "INVALID"><@form_error>Description should be at least 30 characters long</@form_error><#break>
		</#switch>
		<@form_text label="Description" name="description" value=data.description!"" multiline=true maxLength=10 />
		
		<@form_submit label="Post bug report" />

	</@form>

</@page>
</#macro>