<#macro enemy_tab eList alliances>

	<#if alliances>
		<#local tabId = "alliances">
		<#local addAction = "alliance">
		<#local tabTitle = "Alliances">
		<#local emptyText = "No enemy alliances.">
		<#local nameLen = 5>
		<#if data.alliance?has_content & data.alliance>
			<#local error = data.error>
			<#local defName = data.name>
		</#if>
	<#else>
		<#local tabId = "empires">
		<#local addAction = "empire">
		<#local tabTitle = "Empires">
		<#local emptyText = "No enemy empires.">
		<#local nameLen = 20>
		<#if data.alliance?has_content & !data.alliance>
			<#local error = data.error>
			<#local defName = data.name>
		</#if>
	</#if>
	
	<@tab id=tabId title=tabTitle>
	
		<#if eList?size == 0>
			<p>${emptyText}</p>
		<#else>
			<form action="remove-enemy-${tabId}.action#${tabId}" method="post">
				<@listview>
					<@lv_line headers=true>
						<#if data.page.special! != 'v'>
							<@lv_column width=40 centered=true>&nbsp;</@lv_column>
						</#if>
						<@lv_column width="x">${tabTitle}</@lv_column>
					</@lv_line>
	
					<#list eList as enemy>
						<@lv_line>
							<#if data.page.special! != 'v'>
								<@lv_column centered=true><input type="checkbox" name="id" value="${enemy.id}" /></@lv_column>
							</#if>
							<@lv_column>
								<#if alliances><a href="msg-alliance-${enemy.id}">[<#else><a href="msg-empire-${enemy.id}"></#if>${enemy.name?xhtml}<#if alliances>]</#if></a>
							</@lv_column>
						</@lv_line>
					</#list>
				</@listview>
				<#if data.page.special! != 'v'>
					<div class="form-container">
						<table><tr><td>
							<@ff_submit label="Remove selected enemies" />
						</td></tr></table>
					</div>
				</#if>
			</form>
		</#if>
		
		<#if data.page.special! != 'v'>
			<#if error?has_content>
				<@standalone_error>
					<#switch error>
						<#case "INVALID"><#if alliances>Alliance<#else>Empire</#if> not found.<#break>
						<#case "BANNED">
							<#if alliances>
								Feeling Mordred-ish today, are we?
							<#else>
								There's a medical term for that - schizophrenia.
							</#if>
						<#break>
						<#case "UNAVAILABLE">
							This <#if alliances>alliance<#else>empire</#if> is already in your enemy list.
						<#break>
					</#switch>
				</@standalone_error>
			</#if>
			<@lineform action="add-enemy-${addAction}" hash=tabId>
				New enemy: <@ff_text id="name-${addAction}" name="name" value=defName! maxLength=nameLen size=(nameLen+1) />
				<@ff_submit label="Add" />
			</@lineform>
		</#if>

	</@tab>

</#macro>
<#macro render>
<@page title="Enemy list">

	<@tabs>

		<@enemy_tab eList=data.empires alliances=false />
		<@enemy_tab eList=data.alliances alliances=true />

	</@tabs>

</@page>
</#macro>