<#macro render_system system tags>
	<td class="map-system">
		<#list system.planets as planet>
			<#if tags>
				<#if planet.tag?has_content>
					<#assign vName = "[${planet.tag}]">
				<#else>
					<#assign vName = "N/A">
				</#if>
			<#else>
				<#assign vName = planet.name>
			</#if>
			<#if planet.tag?has_content>
				<#assign vTitle = " [${planet.tag}]" >
			<#else>
				<#assign vTitle = "" >
			</#if>
			<#if planet.relation?has_content>
				<#switch planet.relation>
					<#case "OWN">
						<#assign lStyle = "class='own-planet'" >
						<#break>
					<#case "ALLIED">
						<#assign lStyle = "class='allied-planet'" >
						<#break>
					<#case "ENEMY">
						<#assign lStyle = "class='enemy-planet'" >
						<#break>
				</#switch>
			<#elseif planet.tag?has_content>
				<#assign lStyle = "class='other-planet'" >
			<#else>
				<#assign lStyle = "" >
			</#if>
			<div class="map-planet">
				<img src="img/pp/s/${planet.picture}.png" alt="${planet.name?xhtml}${vTitle?xhtml}" />
				<a href="planet-${planet.id}" ${lStyle} title="View planet ${planet.name?xhtml}${vTitle?xhtml}">${vName?xhtml}</a>
			</div>
		</#list>
	</td>
</#macro>
<#macro render_map size systems tags>
	<table class="map map-${size}">

		<#list systems as row>
			<tr>
				<#list row as system>
					<#if system?has_content>
						<@render_system system=system tags=tags />
					<#else>
						<td class="map-empty"><div>(unexplored)</div></td>
					</#if>
				</#list>
			</tr>
		</#list>

	</table>
</#macro>
<#macro render>
<@page title="Map">

	<@lineform action="move-map">
		Coordinates: ( <@ff_text name="x" id="x" maxLength=4 size=5 value=data.x?string /> ;
		<@ff_text name="y" id="y" maxLength=4 size=5 value=data.y?string /> )
		Size: <@ff_select id="sz" name="sz">
			<#list data.sizes as size>
				<@form_option text=size value=size_index selected=( size_index == data.sizeOrdinal ) />
			</#list>
		</@ff_select>
		<@ff_submit label="Centre map" />
	</@lineform>

	<@tabs>
		<@tab id="names" title="Planets">
			<@render_map size=data.sizeOrdinal systems=data.systems tags=false />
		</@tab>
		<@tab id="alliances" title="Alliances">
			<@render_map size=data.sizeOrdinal systems=data.systems tags=true />
		</@tab>
	</@tabs>

</@page>
</#macro>