<#include "messageTabs.ftl" />
<#macro render_navigation current total inbox>
	<#if inbox>
		<#local link="inbox-">
	<#else>
		<#local link="outbox-">
	</#if>
	<table style="width:100%;margin: 2px 0">
		<tr>
			<td style="width: 30px;text-align: right">
				<#if current gt 0>
					<a href="${link}${current - 1}">
				</#if>
				&lt;&lt;
				<#if current gt 0>
					</a>
				</#if>
			</td>
			<td style="text-align: center">
				<#if total gt 0>
					Page ${current + 1} / ${total}
				<#elseif inbox>
					No messages received.
				<#else>
					No messages sent.
				</#if>
			</td>
			<td style="width: 30px;text-align: left">
				<#if current lt total - 1>
					<a href="${link}${current + 1}">
				</#if>
				&gt;&gt;
				<#if current lt total - 1>
					</a>
				</#if>
			</td>
		</tr>
	</table>
</#macro>
<#macro render>
<#if data.inbox>
	<#local title="Received messages">
	<#local tab="inbox">
<#else>
	<#local title="Sent messages">
	<#local tab="outbox">
</#if>
<@page title=title>
	<@messageTabs selected=tab />
	<@render_navigation current=data.cPage total=data.pages inbox=data.inbox />
	<#if data.messages?size gt 0>
		<form action="messages.action" method="post">
			<div style="display:none">
				<input type="hidden" name="inbox" value="<#if data.inbox>1<#else>0</#if>" />
				<input type="hidden" name="page" value="${data.cPage}" />
			</div>
			<@listview>

				<@lv_line headers=true>
					<@lv_column width=16 centered=true><span title="Click here to invert the current selection" id="message-box-selector">&nbsp;</span></@lv_column>
					<@lv_column width="x">Subject</@lv_column>
					<@lv_column width=150 centered=true><#if data.inbox>From<#else>To</#if></@lv_column>
					<@lv_column width=150 centered=true><#if data.inbox>Received<#else>Sent</#if></@lv_column>
				</@lv_line>

				<#list data.messages as message>
					<#switch message.type>
						<#case 'INTERNAL'>
							<#local mType="int-msg">
							<#break>
						<#case 'ADMINISTRATOR'>
							<#local mType="admin-msg">
							<#break>
						<#case 'ALLIANCE'>
							<#local mType="alliance-msg">
							<#break>
						<#case 'EMPIRE'>
							<#local mType="empire-msg">
							<#break>
					</#switch>
					<#if ! message.read>
						<#local mType = "${mType} unread-msg">
					</#if>

					<@lv_line class=mType>
						<@lv_column centered=true>
							<input type="checkbox" name="selection" value="${message.id}" class="input message-selection" />
						</@lv_column>
						<@lv_column><a href="<#if data.inbox>inbox<#else>outbox</#if>-message-${message.id}">${message.title}</a></@lv_column>
						<@lv_column centered=true>${message.sender!}</@lv_column>
						<@lv_column centered=true>${message.time?string("yyyy-MM-dd HH:mm:ss")}</@lv_column>
					</@lv_line> 
				</#list>
			</@listview>
			
			<#if data.inbox>
				<div class="form-container">
					With
					<@ff_select name="target" id="target">
						<@form_option value="0">selected</@form_option>
						<@form_option value="1">all</@form_option>
					</@ff_select>
					messages:
					<@ff_select name="action" id="action">
						<@form_option value="r">mark as read</@form_option>
						<@form_option value="u">mark as unread</@form_option>
						<@form_option value="d">delete</@form_option>
					</@ff_select>
					<@ff_submit label="Go" />
				</div>
			<#else>
				<div class="form-container">
					<input type="hidden" name="action" value="d" />
					Delete
					<@ff_select name="target" id="target">
						<@form_option value="0">selected</@form_option>
						<@form_option value="1">all</@form_option>
					</@ff_select>
					messages <@ff_submit label="Go" />
				</div>
			</#if>
		</form>
	</#if>
</@page>
</#macro>