<#macro render>
<@page title="Empire">

	<#assign ov = data.overview >

	<@tabs>

		<@tab id="overview" title="Overview">
			<@left_column>
		
				<#assign nplanets = data.page.planets?size>
				<@dt_main title="Fleets &amp; planets">
					<@dt_entry title="Number of planets">${nplanets?string(",##0")}</@dt_entry>
					<@dt_entry title="Total population">${ov.population?string(",##0")}</@dt_entry>
					<@dt_entry title="Average happiness"><@happiness value=data.overview.avgHappiness /></@dt_entry>
					<@dt_entry title="Total fleet power">${ov.fleetPower?string(",##0")}</@dt_entry>
				</@dt_main>
		
				<@dt_main title="Battles">
					<#if data.battles?size gt 0>
						<@dt_status>We are involved in the following battle(s):</@dt_status>
						<#list data.battles as battle>
							<@dt_status><a href="battle-${battle.id}-latest">${battle.location.name?xhtml}</a>
								(${battle.x},${battle.y};${battle.orbit})</@dt_status>
						</#list>
					<#else>
						<@dt_status>We are not involved in any battle at the moment.</@dt_status>
					</#if>
					<@dt_status>
						<a href="battles">View all battles</a>
					</@dt_status>
				</@dt_main>
		
			</@left_column>
		
			<@right_column>
				
				<@dt_main title="Money">
					<@dt_entry title="Cash reserves">${data.page.cash?string(",##0")} <@abbr_bgc/></@dt_entry>
					<@dt_entry title="Planet income">${ov.planetIncome?string(",##0")} <@abbr_bgc/></@dt_entry>
					<@dt_entry title="Planet upkeep">${ov.planetUpkeep?string(",##0")} <@abbr_bgc/></@dt_entry>
					<@dt_entry title="Fleet upkeep">${ov.fleetUpkeep?string(",##0")} <@abbr_bgc/></@dt_entry>
					<@dt_entry title="Investments">${ov.investment?string(",##0")} <@abbr_bgc/></@dt_entry>
				</@dt_main>
		
				<@dt_main title="Messages">
					<@dt_status>
						<#if ov.newMessages == 0>
							No new messages.
						<#elseif ov.newMessages == 1>
							You have <a href="messages">a new message</a>.
						<#else>
							You have <a href="messages">${ov.newMessages} new messages</a>.
						</#if>
					</@dt_status>
					<@dt_status>
						<a href="compose-message">Compose a message</a>
					</@dt_status>
				</@dt_main>
		
			</@right_column>
		</@tab>

		<@tab id="economy" title="Economy">
			<#include "overview/resources.ftl" />
			<@overviewResources />
		</@tab>

	</@tabs>

</@page>
</#macro>