<#macro RenderEconomy>			
	<@tab id="economy" title="Economy"> 
		<@listview>
			<@lv_line headers=true>
				<@lv_column width="x">Name</@lv_column>
				<@lv_column width="x">Resource</@lv_column>
				<@lv_column width=110 right=true>Income</@lv_column>
				<@lv_column width=110 right=true>Upkeep</@lv_column>
				<@lv_column width=110 right=true>Profit</@lv_column>
			</@lv_line>

			<#list pl as planet>
				<#if planet.resources?size = 0>
					<@lv_line>
						<@lv_column><a href="planet-${planet.id}#resources">${planet.name?xhtml}</a></@lv_column>
						<@lv_column colspan=4 centered=true><em>No income or upkeep</em></@lv_column>
					</@lv_line>
				<#else>
					<#list planet.resources as resource>
						<@lv_line>
							<@lv_column>
								<#if resource_index = 0>
									<a href="planet-${planet.id}#resources">${planet.name?xhtml}</a>
								<#else>
									&nbsp;
								</#if>
							</@lv_column>
							<@lv_column>${resource.name?xhtml}</@lv_column>
							<@lv_column right=true>${resource.income?string(",##0")}</@lv_column>
							<@lv_column right=true>${resource.upkeep?string(",##0")}</@lv_column>
							<@lv_column right=true>
								<#if resource.upkeep gt resource.income>
									<span style="color: red">
								</#if>
								${( resource.income - resource.upkeep )?string(",##0")}
								<#if resource.upkeep gt resource.income>
									</span>
								</#if>
							</@lv_column>
						</@lv_line>
					</#list>
				</#if>
			</#list>

			<@lv_line headers=true>
				<@lv_column width="x" colspan=6>&nbsp;</@lv_column>
			</@lv_line>
			<@lv_line>
				<@lv_column centered=true colspan=6>
					Incomes, upkeeps and profits are displayed for a period of one game month (12 actual hours).
				</@lv_column>
			</@lv_line>

		</@listview>
	</@tab>
</#macro>