<#macro render>
<@page title="Split fleet">
	<form action="split-fleet.action" method="post">
		<div>
			<input type="hidden" name="fleet" value="${data.initialFleet.id}" />
			<#if data.shipsError>
				<@standalone_error>Invalid amount(s) of ships or resulting fleets</@standalone_error>
			</#if>
			<@listview>
				<@lv_line headers=true>
					<@lv_column width="x">Ship type</@lv_column>
					<@lv_column width=150>Initial amount</@lv_column>
					<@lv_column width=150>Amount in new fleet</@lv_column>
				</@lv_line>
				<#list data.ships as ships>
					<@lv_line headers>
						<@lv_column>${ships.name}</@lv_column>
						<@lv_column>${ships.amount?string(",##0")}</@lv_column>
						<@lv_column>
							<@ff_text name="ships_${ships.id}" id="ships-${ships.id}" value=ships.selectedAmount />
						</@lv_column>
					</@lv_line>
				</#list>
			</@listview>
			<#if data.nameError>
				<@standalone_error>Invalid fleet name.</@standalone_error>
			</#if>
			<p>
				Create
				<@ff_text name="nFleets" id="n-fleets" value=data.nFleets size=3 maxLength=2 />
				new fleet(s) named
				<@ff_text name="name" id="name" value=data.name size=20 maxLength=40 />
				&nbsp;
				<@ff_submit label="Ok" />
				<@ff_submit label="Cancel" name="cancel" />
			</p>
		</div>
	</form>
</@page>
</#macro>