<#macro render>
<@page title="Account validation">
	<@form action="validation" name="validation">
		<@form_extra>
			Before you can proceed any further, you need to validate your account using the confirmation code that was e-mailed to you.<br/>
			You will also be able to select the names of your empire and first planet. 
		</@form_extra>

		<#if data.wrongToken>
			<@form_error>Incorrect confirmation code.</@form_error>
		</#if>
		<@form_text label="Confirmation code" value=data.token! name="token" maxLength=64 />
		
		<#switch data.empireError!>
			<#case "EMPTY"><@form_error>Please select an empire name.</@form_error><#break>
			<#case "INVALID"><@form_error>Invalid empire name.</@form_error><#break>
			<#case "UNAVAILABLE"><@form_error>This empire name is unavailable.</@form_error><#break>
			<#case "BANNED"><@form_error>This empire name has been banned.</@form_error><#break>
		</#switch>

		<#if data.previousEmpires?size == 0>
			<@form_text label="Empire name" value=data.empire! name="empire" maxLength=20 />
			<tr style="display:none"><td colspan="2"><input type="hidden" name="old" value="" /></td></tr>
		<#else>
			<@form_select name="old" label="Re-use empire name">
				<#list data.previousEmpires as oldName>
					<@form_option text=oldName selected=( oldName == data.empire! ) />
				</#list>
			</@form_select>

			<@form_extra>Leave this blank if you want to re-use a previous empire name.</@form_extra>
			<#if ! data.previousEmpires?seq_contains(data.empire!)>
				<#assign empValue = data.empire!>
			</#if>
			<@form_text name="empire" label="New empire name" value=empValue! maxLength=20 />
		</#if>


		<#switch data.planetError!>
			<#case "EMPTY"><@form_error>Please select a planet name.</@form_error><#break>
			<#case "INVALID"><@form_error>Invalid planet name.</@form_error><#break>
			<#case "UNAVAILABLE"><@form_error>This planet name is unavailable.</@form_error><#break>
			<#case "BANNED"><@form_error>This planet name has been banned.</@form_error><#break>
		</#switch>
		<@form_text name="planet" label="Planet name" value=data.planet! maxLength=20 />
		
		<@form_submit label="Join the game" />
	</@form>
</@page>
</#macro>