<#include "../game.ftl">
<#macro page title hidePlanets=false>
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr">
	<head>
		<title>Legacy Worlds Beta 6 <@version/> - ${title?xhtml}</title>
		<link rel="stylesheet" type="text/css" href="css/main.css" />
		<script type="text/javascript" charset="utf-8" src="js/jquery-1.7.1.min.js"></script>
		<script type="text/javascript" charset="utf-8" src="js/main.js"></script>
	</head>
	<body>
		<!-- Header -->
		<div id="hd-top">
			<div id="hd-logo">
				<a href="overview" title="Page Empire"><span>Legacy Worlds Beta 6 <@version/></span></a>
			</div>
			<div id="hd-bar">
				<div id="hd-summary">
					<strong>${data.page.empire}</strong>
					<#if data.page.alliance?has_content>
						[<strong>${data.page.alliance}</strong>]
					</#if><br/>
					<span id="gi-cash">${data.page.cash?string(",##0")}</span> <@abbr_bgc/><br/>
					<#if data.page.special?has_content>
						<span class="special-info">
							<#switch data.page.special>
								<#case 'v'>EN VACANCES<#break>
								<#case 's'>PRELIMINAIRES AUX VACANCES<#break>
								<#case 'q'>EN TRAIN D'ABANDONNER<#break>
							</#switch>
						</span>
					</#if>
					<br/>
					<a href="account">Compte</a> - <a href="logout.action">Déconnexion</a>
				</div>
				<div id="hd-page">
					<h1>${title?xhtml}</h1>
				</div>
			</div>
			<div id="hd-text"><@abbr_gt/>: <@game_time record=data.page.gameTime /> / <@abbr_st/>: ${data.page.serverTime?string("yyyy-MM-dd HH:mm:ss ZZZZZ")}</div>
		</div>
		<div id="menu-left">
			<div class="button">
				<a href="planets" title="Planètes">Planètes</a>
			</div>
			<#if !hidePlanets>
				<#if data.page.planets?size == 0>
					<div class="button sub-menu">
						<a href="get-planet" title="Obtenir une nouvelle planète">Nouvelle planète</a>
					</div>
				<#else>
					<#list data.page.planets as planet>
						<div class="button sub-menu">
							<a href="planet-${planet.id}">${planet.name?xhtml}</a>
						</div>
					</#list>
				</#if>
			</#if>
			<div class="button">
				<a href="fleets" title="Flottes">Flottes</a>
			</div>
			<div class="button">
				<a href="map" title="Carte de l'univers">Carte</a>
			</div>
			<div class="button">
				<a href="research" title="Gestion des priorités de recherche, implémentation et visualisation de technologies">Recherche</a>
			</div>
			<div class="button">
				<a href="alliance" title="Alliance">Alliance</a>
			</div>
			<div class="button">
				<a href="enemies" title="Gestion des listes de joueurs et alliances ennemis">Listes d'ennemis</a>
			</div>
			<div class="button">
				<a href="messages" title="Messages">Messages</a>
			</div>
			<div class="button">
				<a href="bugtrack" title="Application de suivi des bugs">Suivi des bugs</a>
			</div>
		</div>

		<div id="page-contents"><#nested></div>

		<div id="footer">
			Copyright (C) 2004-2012,
			<a title="DeepClone Development" href="http://www.deepclone.com">DeepClone Development</a>
		</div>
	</body>
</html>
</#macro>