<#include "bugsTabs.ftl">
<#macro render_navigation current count total qString>
	<table style="width:100%;margin: 2px 0">
		<tr>
			<td style="width: 30px;text-align: right">
				<#if current gt 0>
					<a href="bugtrack?${qString}&amp;first=${current - count}">
				</#if>
				&lt;&lt;
				<#if current gt 0>
					</a>
				</#if>
			</td>
			<td style="text-align: center">
				<#if total gt 1>
					${total?string(',##0')} entrées trouvées.
				<#elseif total = 1>
					1 entrée trouvée.
				<#else>
					Aucune entrée trouvée.
				</#if>
			</td>
			<td style="width: 30px;text-align: left">
				<#if current lt total - count>
					<a href="bugtrack?${qString}&amp;first=${current + count}">
				</#if>
				&gt;&gt;
				<#if current lt total - count>
					</a>
				</#if>
			</td>
		</tr>
	</table>
</#macro>
<#macro render>
<#if data.ownOnly>
	<#local ownOnly = "1">
<#else>
	<#local ownOnly = "0">
</#if>
<#local qString = "status=${data.status!'x'}&amp;own=${ownOnly}" >
<@page title="Suivi des bugs">
	<#-- Tabs -->
	<@bugTabs selected="bugsList" qString="${qString}&amp;first=${data.first}" />

	<#-- Selection -->
	<div class="form-container">
		<form action="bugtrack" method="get">
			<table>
				<tr><td>
					Lister
					<@ff_select id="sel-own" name="own">
						<@form_option value="0">tous les</@form_option>
						<@form_option value="1" selected=(data.ownOnly)>mes</@form_option>
					</@ff_select>
					rapports dont le statut est :
					<@ff_select id="sel-stat" name="status">
						<@form_option value="x">(indifférent)</@form_option>
						<@form_option value="PENDING" selected=((data.status!"") = 'PENDING')>en attente de validation</@form_option>
						<@form_option value="OPEN" selected=((data.status!"") = 'OPEN')>en cours de traitement</@form_option>
						<@form_option value="RESOLVED" selected=((data.status!"") = 'RESOLVED')>résolu</@form_option>
						<@form_option value="WONT_FIX" selected=((data.status!"") = 'WONT_FIX')>ne sera pas résolu</@form_option>
						<@form_option value="NOT_A_BUG" selected=((data.status!"") = 'NOT_A_BUG')>pas un bug</@form_option>
					</@ff_select>
					<@ff_submit label="Rechercher" />
				</td></tr>
			</table>
		</form>
	</div>
	
	<#-- Navigation -->
	<@render_navigation current=data.first count=data.count total=data.entries qString=qString />
	
	<#-- List of bugs -->
	<#if data.reports?size gt 0>
		<@listview>
		
			<@lv_line headers=true>
				<@lv_column centered=true width=60>#</@lv_column>
				<@lv_column width="x">Titre</@lv_column>
				<#if !( data.status?has_content )>
					<@lv_column width=130 centered=true>Statut</@lv_column>
				</#if>
				<@lv_column width=150 centered=true>Dernière mise à jour</@lv_column>
			</@lv_line>
			
			<#list data.reports as report>

				<#if !data.ownOnly && report.initialSubmitter.userId?has_content && !report.initialSubmitter.admin && report.initialSubmitter.name = data.page.empire>
					<#local eClass="own-fleet">
				<#else>
					<#local eClass="">
				</#if>
				
				<@lv_line class=eClass>
					<@lv_column centered=true>${report.reportId?string(",##0")}</@lv_column>
					<@lv_column><a href="bug-${report.reportId}?${qString}&amp;first=${data.first}">${report.title}</a></@lv_column>
					<#if !( data.status?has_content )>
						<@lv_column centered=true><@bugStatus status=report.status /></@lv_column>
					</#if>
					<@lv_column centered=true>
						<#if report.updated>
							<strong>
						</#if>
						${report.lastUpdate?string("yyyy-MM-dd HH:mm:ss")}
						<#if report.updated>
							</strong>
						</#if>
					</@lv_column>
				</@lv_line>
				<@lv_line class=eClass>
					<#if data.status?has_content>
						<td colspan="2">
					<#else>
						<td colspan="3">
					</#if>
					&nbsp;</td>
					<@lv_column centered=true>
						par
						<#if report.latestSubmitter.admin>
							<span style="color:#ffafaf">
						</#if>
						${report.latestSubmitter.name}
						<#if report.latestSubmitter.admin>
							</span>
						</#if>
					</@lv_column>
				</@lv_line>

			</#list>

		</@listview>
	</#if>

</@page>
</#macro>