<#include "bugsTabs.ftl">
<#macro render>
<#if data.query.ownOnly>
	<#local ownOnly = "1">
<#else>
	<#local ownOnly = "0">
</#if>
<#local qString = "status=${data.query.status!'x'}&amp;own=${ownOnly}" >
<@page title="Rapporter un bug">
	<@bugTabs selected="bugsReport" qString="${qString}&amp;first=${data.query.first}" />

	<h3 style="padding:0;text-align:center">LISEZ CECI AVANT DE RAPPORTER UN BUG</h3>
	<p>
		Or donc, vous avez découvert quelque chose qui ne fonctionne pas ou qui semble se comporter
		incorrectement. Très bien - c'est la raison pour laquelle cette version est publique.
	</p>
	<p>
		Cependant, êtes-vous sûr qu'il s'agit bel et bien d'un bug? Si vous avez joué à la Beta 5, beaucoup
		de choses ont changé et ne se comportent plus de la même manière. Assurez-vous tout d'abord d'avoir
		consulté les <a href="rules">règles du jeu</a> ainsi que les informations concernant la
		<a href="scope">portée de ce jalon</a>.
	</p>
	<p>
		Une fois que vous avez lu cette documentation, si vous n'avez rien trouvé qui semble se rapporter
		à votre problème, hé bien, il s'agit d'un vrai bug ou bien de quelque chose qui a été omis dans la doc.
		Dans tous les cas, ce problème devrait être rapporté en utilisant le formulaire ci-dessous.
		Utilisez un titre <strong>aussi clair que possible</strong> (il devrait indiquer la nature du problème)
		et écrivez une description aussi précise que vous le pouvez.
	</p>
	<p>
		Il est préférable que ce rapport soit écrit en Anglais, afin d'être lisible par tous les membres
		de l'équipe, mais ce n'est pas obligatoire.
	</p>
	<p>
		Merci pour votre aide!
	</p>

	<@form action="report-bug">
		<tr style="display:none"><td colspan="2">
			<input type="hidden" name="status" value="${(data.query.status!'x')?xhtml}" />
			<input type="hidden" name="own" value="${ownOnly}" />
			<input type="hidden" name="first" value="${data.query.first}" />
		</td></tr>

		<#switch data.titleError!"">
			<#case "EMPTY"><@form_error>Veuillez spécifier le titre du rapport</@form_error><#break>
			<#case "INVALID"><@form_error>Le titre doit comprendre au moins 10 caractères</@form_error><#break>
		</#switch>
		<@form_text label="Titre " name="title" value=data.title!"" maxLength=127 />

		<#switch data.descriptionError!"">
			<#case "EMPTY"><@form_error>Veuillez spécifier la description du bug</@form_error><#break>
			<#case "INVALID"><@form_error>La description doit comprendre au moins 30 caractères</@form_error><#break>
		</#switch>
		<@form_text label="Description " name="description" value=data.description!"" multiline=true maxLength=10 />
		
		<@form_submit label="Poster le rapport de bug" />

	</@form>

</@page>
</#macro>