<#macro render>
<@page title="Récupération de mot de passe">
	<@tabs>

		<@tab title="Demande de récupération de mot de passe" id="request-recovery">
			<#if data.sent?has_content>
				<p>Un e-mail vous a été envoyé à votre adresse, <strong>${data.mail?xhtml}</strong></p>
				<p>Il contient un code d'authetification à usage unique que vous devez utiliser pour changer votre mot de passe.</p>
				<p>Le code d'authentification va expirer dans une heure, et vous ne pourrez pas demander un autre code jusqu'à ce qu'il ait expiré.</p>
			<#else>

				<@form name="req-pwd-recovery" action="request-password-recovery">
					<#switch data.status!>
						<#case "INVALID_INPUT">
							<@form_error>Adresse e-mail invalide.</@form_error>
							<#break>
						<#case "ACCOUNT_NOT_FOUND">
							<@form_error>Adresse e-mail inconnue.</@form_error>
							<#break>
						<#case "ACCOUNT_STATUS">
							<@form_error>L'état du compte ne permet pas la récupération de mot de passe.</@form_error>
							<#break>
						<#case "RECOVERY_IN_PROGRESS">
							<@form_error>Une demande de récupération de mot de passe a été fait au cours de la dernière heure.</@form_error>
							<#break>
						<#case "MAIL_ERROR">
							<@form_error>Incapable d'envoyer un e-mail.</@form_error>
							<#break>
					</#switch>
					<@form_text label="Adresse e-mail" name="mail" id="req-mail" value=data.mail! maxLength=128 />
					<@form_submit label="Demander la récupération de mot de passe" extraClass="" />
				</@form>

			</#if>
		</@tab>

		<@tab id="confirm-recovery" title="Confirmer la récupération de mot de passe">
			<@form name="conf-pwd-recovery" action="confirm-password-recovery" hash="confirm-recovery">
				<#switch data.cStatus!>
					<#case "INVALID_MAIL">
						<@form_error>Adresse e-mail invalide.</@form_error>
						<#break>
					<#case "NOT_FOUND">
						<@form_error>Code ou adresse e-mail inconnu.</@form_error>
						<#break>
					<#case "ACCOUNT_STATUS">
						<@form_error>L'état du compte ne permet pas la récupération de mot de passe.</@form_error>
						<#break>
					<#case "WEAK_PASSWORD">
						<@form_error>Nouveau mot de passe trop faible.</@form_error>
						<#break>
					<#case "MISMATCH_PASSWORD">
						<@form_error>Le mot de passe et sa confirmation ne sont pas identiques.</@form_error>
						<#break>
					<#case "PROHIBITED">
						<@form_error>Vous ne pouvez pas utiliser ce mot de passe.</@form_error>
						<#break>
				</#switch>
			<@form_text label="Adresse e-mail" name="mail" id="conf-mail" value=data.cMail! maxLength=128 />
				<@form_text label="Code de confirmation" name="code" id="conf-code" value=data.cCode! maxLength=64 />
				<@form_pwd label="Nouveau mot de passe" name="password" id="conf-pwd1" />
				<@form_pwd label="Confirmation du nouveau mot de passe" name="passwordConfirm" id="conf-pwd2" />
				<@form_submit label="Définir le nouveau mot de passe" />
			</@form>
		</@tab>

	</@tabs>
</@page>
</#macro>