<#macro render>
<@page title="Enregistrement">
	<@form name="register" action="register">
		<#switch data.mailError!"">
			<#case "EMPTY">
				<@form_error>Adresse e-mail vide.</@form_error>
				<#break>
			<#case "INVALID">
				<@form_error>Adresse e-mail invalide.</@form_error>
				<#break>
			<#case "IN_USE">
				<@form_error>Cette adresse e-mail est déjà associée à un compte.</@form_error>
				<#break>
			<#case "SEND_FAIL">
				<@form_error>Impossible d'envoyer le code de confirmation à cette adresse.</@form_error>
				<#break>
			<#case "MISMATCH">
				<@form_error>L'adresse e-mail et sa confirmation ne sont pas identiques.</@form_error>
				<#break>
			<#default>
				<@form_extra>L'adresse e-mail <em>DOIT</em> exister.</@form_extra>
		</#switch>
		<@form_text label="Adresse e-mail" maxLength=128 name="mail" value=data.mail! />
		<@form_text label="Adresse e-mail (confirmation)" maxLength=128 name="mailConfirm" value=data.mail! />
			
		<#switch data.passwordError!"">
			<#case "EMPTY">
				<@form_error>Mot de passe vide.</@form_error>
				<#break>
			<#case "TOO_WEAK">
				<@form_error>Cet mot de passe est trop faible.</@form_error>
				<#break>
			<#case "MISMATCH">
				<@form_error>Le mot de passe et sa confirmation ne sont pas identiques.</@form_error>
				<#break>
			<#default>
				<@form_extra>Au moins 6 catactères, contenant à la fois des lettres et des chiffres. Points bonus pour les caractères spéciaux, les espaces et les mots de passe extrèmement longs.</@form_extra>
		</#switch>
		<@form_pwd label="Mot de passe" name="password" />
		<@form_pwd label="Mot de passe (confirmation)" name="passwordConfirm" />

		<@form_select name="language" label="Langue">
			<#if dataType == "ListLanguagesResponse">
				<#assign lList = data.languages>
			<#else>
				<#assign lList = data.supportedLanguages.languages>
			</#if>
			<#list lList as lang>
				<@form_option text=lang.name value=lang.id selected=(lang.id == language) />
			</#list>
		</@form_select>

		<@form_submit label="S'enregistrer" />
	</@form>
</@page>
</#macro>