<#macro render>
<@page title="Validation de compte">
	<@form action="validation" name="validation">
		<@form_extra>
			Avant d'aller plus loin, vous devez valider votre compte en utilisant le code de confirmation qui vous a été envoyé par e-mail.<br/>
			Vous pouvez aussi choisir le nom de votre empire et de votre première planète. 
		</@form_extra>

		<#if data.wrongToken>
			<@form_error>Code ds confirmation incorrect.</@form_error>
		</#if>
		<@form_text label="Code de confirmation" value=data.token! name="token" maxLength=64 />
		
		<#switch data.empireError!>
			<#case "EMPTY"><@form_error>Veuillez choisir un nom d'empire.</@form_error><#break>
			<#case "INVALID"><@form_error>Nom d'empire invalide.</@form_error><#break>
			<#case "UNAVAILABLE"><@form_error>Ce nom d'empire n'est pas disponible.</@form_error><#break>
			<#case "BANNED"><@form_error>Ce nom d'empire a été banni.</@form_error><#break>
		</#switch>

		<#if data.previousEmpires?size == 0>
			<@form_text label="Nom d'empire" value=data.empire! name="empire" maxLength=20 />
			<tr style="display:none"><td colspan="2"><input type="hidden" name="old" value="" /></td></tr>
		<#else>
			<@form_select name="old" label="Réutiliser un nom d'empire">
				<#list data.previousEmpires as oldName>
					<@form_option text=oldName selected=( oldName == data.empire! ) />
				</#list>
			</@form_select>

			<@form_extra>Laissez ce champ vide si vous voulez réutiliser un ancien nom d'empire.</@form_extra>
			<#if ! data.previousEmpires?seq_contains(data.empire!)>
				<#assign empValue = data.empire!>
			</#if>
			<@form_text name="empire" label="Nouveau nom d'empire" value=empValue! maxLength=20 />
		</#if>


		<#switch data.planetError!>
			<#case "EMPTY"><@form_error>Veuillez choisir un nom de planète.</@form_error><#break>
			<#case "INVALID"><@form_error>Nom de planète invalide.</@form_error><#break>
			<#case "UNAVAILABLE"><@form_error>Ce nom de planète n'est pas disponible.</@form_error><#break>
			<#case "BANNED"><@form_error>Ce nom de planète a été banni.</@form_error><#break>
		</#switch>
		<@form_text name="planet" label="Nom de planète" value=data.planet! maxLength=20 />
		
		<@form_submit label="Entrer dans le jeu" />
	</@form>
</@page>
</#macro>