package com.deepclone.lw.web.main;


import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.SessionAttributes;

import com.deepclone.lw.web.beans.intercept.SessionRequirement;
import com.deepclone.lw.web.beans.view.PageControllerBase;



@Controller
@SessionRequirement( value = false , redirectTo = "player-session" )
@SessionAttributes( "language" )
public class ExternalPages
		extends PageControllerBase
{

	@RequestMapping( "/" )
	public String root( )
	{
		return "redirect:home";
	}


	@RequestMapping( "/home" )
	public String mainPage( @ModelAttribute( "language" ) String language , Model model )
	{
		return this.renderStatic( model , "external" , language , "home" );
	}


	@RequestMapping( "/no-session" )
	public String noSession( @ModelAttribute( "language" ) String language , Model model )
	{
		return this.renderStatic( model , "external" , language , "noSession" );
	}


	@RequestMapping( "/logged-out" )
	public String loggedOut( @ModelAttribute( "language" ) String language , Model model )
	{
		return this.renderStatic( model , "external" , language , "loggedOut" );
	}


	@RequestMapping( "/password-recovery-ok" )
	public String passwordRecoveryOk( @ModelAttribute( "language" ) String language , Model model )
	{
		return this.renderStatic( model , "external" , language , "passwordRecoveryOk" );
	}

}
