package com.deepclone.lw.web.main;


import javax.servlet.http.HttpServletRequest;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.SessionAttributes;

import com.deepclone.lw.session.SessionException;
import com.deepclone.lw.web.beans.intercept.SessionRequirement;
import com.deepclone.lw.web.beans.session.SessionMaintenanceException;
import com.deepclone.lw.web.beans.session.SessionServerException;
import com.deepclone.lw.web.beans.view.PageControllerBase;
import com.deepclone.lw.web.csess.PlayerSession;



@Controller
@SessionRequirement( value = false , redirectTo = "player-session" )
@SessionAttributes( "language" )
public class LoginPages
		extends PageControllerBase
{

	@RequestMapping( value = "/login.action" , method = RequestMethod.POST )
	public String login( HttpServletRequest request , @ModelAttribute( "language" ) String language , Model model ,
			@RequestParam( "mail" ) String mail , @RequestParam( "password" ) String password )
			throws SessionException , SessionServerException , SessionMaintenanceException
	{
		PlayerSession pSession = this.initSession( PlayerSession.class , request );
		boolean authenticated = pSession.authenticate( mail , password );
		if ( !authenticated ) {
			this.clearSession( request );
			return this.renderStatic( model , "external" , language , "loginFailed" );
		}

		model.addAttribute( "language" , pSession.getLanguage( ) );
		return this.redirect( "player-session" );
	}

}
