package com.deepclone.lw.web.main;


import javax.servlet.http.HttpServletRequest;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.SessionAttributes;

import com.deepclone.lw.cmd.ext.CreateAccountResponse;
import com.deepclone.lw.session.SessionException;
import com.deepclone.lw.web.beans.intercept.SessionRequirement;
import com.deepclone.lw.web.beans.session.SessionMaintenanceException;
import com.deepclone.lw.web.beans.session.SessionServerException;
import com.deepclone.lw.web.beans.view.PageControllerBase;
import com.deepclone.lw.web.csess.ExternalSession;



@Controller
@SessionRequirement( value = false , redirectTo = "player-session" )
@SessionAttributes( "language" )
public class RegistrationPages
		extends PageControllerBase

{

	@RequestMapping( "/register" )
	public String registrationPage( HttpServletRequest request , @ModelAttribute( "language" ) String language ,
			Model model )
			throws SessionException , SessionServerException , SessionMaintenanceException
	{
		ExternalSession eSession = this.createTemporarySession( ExternalSession.class , request );
		return this.render( model , "external" , language , "register" , eSession.listLanguages( ) );
	}


	@RequestMapping( value = "/register.action" , method = RequestMethod.POST )
	public String registration( HttpServletRequest request , @ModelAttribute( "language" ) String language ,
			Model model , @RequestParam( "mail" ) String mail , @RequestParam( "mailConfirm" ) String mailConfirm ,
			@RequestParam( "password" ) String password , @RequestParam( "passwordConfirm" ) String passwordConfirm ,
			@RequestParam( "language" ) String selLanguage )
			throws SessionException , SessionServerException , SessionMaintenanceException
	{
		ExternalSession eSession = this.createTemporarySession( ExternalSession.class , request );
		CreateAccountResponse response;
		response = eSession.createAccount( mail , mailConfirm , password , passwordConfirm , selLanguage );

		if ( response.getLanguage( ) != null ) {
			language = response.getLanguage( );
		}

		if ( response.getCreated( ) ) {
			return this.renderMap( model , "external" , language , "registered" , "mail" , response.getMail( ) );
		}
		return this.render( model , "external" , language , "register" , response );
	}
}
