package com.deepclone.lw.web.main.game;


import javax.servlet.http.HttpServletRequest;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.SessionAttributes;

import com.deepclone.lw.cmd.player.GetNewPlanetResponse;
import com.deepclone.lw.cmd.player.ListPlanetsResponse;
import com.deepclone.lw.session.SessionException;
import com.deepclone.lw.web.beans.intercept.SessionRequirement;
import com.deepclone.lw.web.beans.session.SessionMaintenanceException;
import com.deepclone.lw.web.beans.session.SessionServerException;
import com.deepclone.lw.web.beans.view.PageControllerBase;
import com.deepclone.lw.web.csess.PlayerSession;



@Controller
@SessionRequirement( value = true , redirectTo = "player-session" , subType = "game" )
@SessionAttributes( "language" )
public class GetPlanetPage
		extends PageControllerBase
{
	@RequestMapping( "/get-planet" )
	public String getPlanet( HttpServletRequest request , @ModelAttribute( "language" ) String language , Model model )
			throws SessionException , SessionServerException , SessionMaintenanceException
	{
		PlayerSession pSession = this.getSession( PlayerSession.class , request );
		ListPlanetsResponse data = pSession.listPlanets( );
		if ( data.getPlanets( ).size( ) > 0 ) {
			return this.redirect( "overview" );
		}
		return this.render( model , "game" , language , "getNewPlanet" , new GetNewPlanetResponse( data.getPage( ) , "" ,
				null ) );
	}


	@RequestMapping( "/get-planet.action" )
	public String getPlanet( HttpServletRequest request , @ModelAttribute( "language" ) String language , Model model ,
			@RequestParam( "name" ) String name )
			throws SessionException , SessionServerException , SessionMaintenanceException
	{
		GetNewPlanetResponse data = this.getSession( PlayerSession.class , request ).getNewPlanet( name );

		if ( data.getPlanet( ) != null ) {
			return this.redirect( "planet-" + data.getPlanet( ) );
		}
		if ( data.getName( ) == null ) {
			return this.redirect( "overview" );
		}

		return this.render( model , "game" , language , "getNewPlanet" , data );
	}

}
